pub usingnamespace @import("protocol.pb.zig");

pub const ManagedString = @import("protobuf").ManagedString;

pub const CmdID = enum(u16) {
    CmdTakeTrialActivityRewardCsReq = 2634,
    CmdAvatarDeliverRewardChooseAvatarCsReq = 2617,
    CmdGetActivityScheduleConfigScRsp = 2648,
    CmdStartTrialActivityCsReq = 2601,
    CmdGetTrialActivityDataCsReq = 2654,
    CmdEnterTrialActivityStageScRsp = 2635,
    CmdGetActivityScheduleConfigCsReq = 2676,
    CmdLeaveTrialActivityCsReq = 2636,
    CmdTakeMaterialSubmitActivityRewardCsReq = 2642,
    CmdGetAvatarDeliverRewardActivityDataScRsp = 2690,
    CmdSubmitMaterialSubmitActivityMaterialScRsp = 2633,
    CmdTakeLoginActivityRewardCsReq = 2631,
    CmdTakeMaterialSubmitActivityRewardScRsp = 2677,
    CmdGetTrialActivityDataScRsp = 2699,
    CmdAvatarDeliverRewardTakeRewardCsReq = 2649,
    CmdSubmitMaterialSubmitActivityMaterialCsReq = 2643,
    CmdGetMaterialSubmitActivityDataScRsp = 2639,
    CmdStartTrialActivityScRsp = 2653,
    CmdTakeLoginActivityRewardScRsp = 2640,
    CmdAvatarDeliverRewardTakeRewardScRsp = 2603,
    CmdLeaveTrialActivityScRsp = 2694,
    CmdAvatarDeliverRewardChooseAvatarScRsp = 2669,
    CmdGetLoginActivityScRsp = 2632,
    CmdTrialActivityDataChangeScNotify = 2687,
    CmdTakeTrialActivityRewardScRsp = 2668,
    CmdGetAvatarDeliverRewardActivityDataCsReq = 2674,
    CmdGetMaterialSubmitActivityDataCsReq = 2602,
    CmdEnterTrialActivityStageCsReq = 2608,
    CmdGetLoginActivityCsReq = 2695,
    CmdCurTrialActivityScNotify = 2627,
    CmdQuickStartFarmElementCsReq = 1371,
    CmdQuickStartFarmElementScRsp = 1352,
    CmdFarmElementSweepCsReq = 1372,
    CmdCocoonSweepCsReq = 1322,
    CmdEnterAdventureScRsp = 1332,
    CmdEnterAdventureCsReq = 1395,
    CmdCocoonSweepScRsp = 1356,
    CmdQuickStartCocoonStageCsReq = 1376,
    CmdFarmElementSweepScRsp = 1385,
    CmdGetFarmStageGachaInfoCsReq = 1331,
    CmdGetFarmStageGachaInfoScRsp = 1340,
    CmdQuickStartCocoonStageScRsp = 1348,
    CmdAetherDivideTakeChallengeRewardScRsp = 4808,
    CmdAetherDivideSpiritInfoScNotify = 4818,
    CmdClearAetherDividePassiveSkillScRsp = 4823,
    CmdAetherDivideSkillItemScNotify = 4811,
    CmdAetherDivideTakeChallengeRewardCsReq = 4814,
    CmdGetAetherDivideInfoScRsp = 4807,
    CmdStartAetherDivideStageBattleScRsp = 4842,
    CmdAetherDivideLineupScNotify = 4813,
    CmdEquipAetherDividePassiveSkillCsReq = 4820,
    CmdLeaveAetherDivideSceneCsReq = 4802,
    CmdSwitchAetherDivideLineUpSlotScRsp = 4822,
    CmdAetherDivideRefreshEndlessScNotify = 4849,
    CmdStartAetherDivideChallengeBattleScRsp = 4815,
    CmdSetAetherDivideLineUpCsReq = 4850,
    CmdGetAetherDivideChallengeInfoScRsp = 4805,
    CmdAetherDivideTainerInfoScNotify = 4839,
    CmdLeaveAetherDivideSceneScRsp = 4837,
    CmdEnterAetherDivideSceneCsReq = 4804,
    CmdEnterAetherDivideSceneScRsp = 4846,
    CmdGetAetherDivideChallengeInfoCsReq = 4801,
    CmdStartAetherDivideChallengeBattleCsReq = 4827,
    CmdAetherDivideSpiritExpUpCsReq = 4829,
    CmdAetherDivideRefreshEndlessScRsp = 4821,
    CmdSetAetherDivideLineUpScRsp = 4840,
    CmdAetherDivideFinishChallengeScNotify = 4835,
    CmdEquipAetherDividePassiveSkillScRsp = 4844,
    CmdStartAetherDivideSceneBattleScRsp = 4817,
    CmdClearAetherDividePassiveSkillCsReq = 4832,
    CmdAetherDivideSpiritExpUpScRsp = 4834,
    CmdSwitchAetherDivideLineUpSlotCsReq = 4826,
    CmdGetAetherDivideInfoCsReq = 4845,
    CmdStartAetherDivideSceneBattleCsReq = 4836,
    CmdAetherDivideRefreshEndlessCsReq = 4806,
    CmdStartAetherDivideStageBattleCsReq = 4816,
    CmdAlleyShipUsedCountScNotify = 4737,
    CmdAlleyTakeEventRewardCsReq = 4751,
    CmdLogisticsGameScRsp = 4740,
    CmdLogisticsDetonateStarSkiffCsReq = 4724,
    CmdAlleyPlacingGameCsReq = 4716,
    CmdAlleyTakeEventRewardScRsp = 4791,
    CmdTakePrestigeRewardCsReq = 4772,
    CmdGetSaveLogisticsMapCsReq = 4714,
    CmdLogisticsGameCsReq = 4731,
    CmdSaveLogisticsCsReq = 4763,
    CmdPrestigeLevelUpScRsp = 4777,
    CmdAlleyShipmentEventEffectsScNotify = 4725,
    CmdPrestigeLevelUpCsReq = 4742,
    CmdRefreshAlleyOrderScRsp = 4739,
    CmdAlleyGuaranteedFundsScRsp = 4775,
    CmdActivityRaidPlacingGameCsReq = 4798,
    CmdRefreshAlleyOrderCsReq = 4702,
    CmdLogisticsScoreRewardSyncInfoScNotify = 4707,
    CmdLogisticsDetonateStarSkiffScRsp = 4757,
    CmdGetAlleyInfoScRsp = 4732,
    CmdAlleyPlacingGameScRsp = 4746,
    CmdGetAlleyInfoCsReq = 4795,
    CmdStartAlleyEventScRsp = 4752,
    CmdTakePrestigeRewardScRsp = 4785,
    CmdAlleyEventEffectNotify = 4756,
    CmdAlleyShopLevelScNotify = 4721,
    CmdAlleyOrderChangedScNotify = 4743,
    CmdSaveLogisticsScRsp = 4711,
    CmdAlleyShipUnlockScNotify = 4729,
    CmdAlleyFundsScNotify = 4758,
    CmdStartAlleyEventCsReq = 4771,
    CmdLogisticsInfoScNotify = 4793,
    CmdGetSaveLogisticsMapScRsp = 4784,
    CmdAlleyEventChangeNotify = 4722,
    CmdActivityRaidPlacingGameScRsp = 4764,
    CmdAlleyGuaranteedFundsCsReq = 4730,
    CmdGetArchiveDataCsReq = 2395,
    CmdGetUpdatedArchiveDataScRsp = 2340,
    CmdGetArchiveDataScRsp = 2332,
    CmdGetUpdatedArchiveDataCsReq = 2331,
    CmdAvatarExpUpScRsp = 340,
    CmdTakeOffAvatarSkinCsReq = 321,
    CmdTakeOffEquipmentScRsp = 385,
    CmdDressAvatarSkinScRsp = 358,
    CmdTakePromotionRewardCsReq = 333,
    CmdAddAvatarScNotify = 316,
    CmdMarkAvatarCsReq = 311,
    CmdUnlockSkilltreeCsReq = 376,
    CmdPromoteAvatarCsReq = 371,
    CmdGetPreAvatarGrowthInfoScRsp = 375,
    CmdDressAvatarSkinCsReq = 377,
    CmdDressRelicAvatarScRsp = 302,
    CmdRankUpAvatarCsReq = 346,
    CmdTakeOffEquipmentCsReq = 372,
    CmdGetAvatarDataScRsp = 332,
    CmdDressAvatarScRsp = 356,
    CmdDressRelicAvatarCsReq = 360,
    CmdUnlockAvatarSkinScNotify = 363,
    CmdPromoteAvatarScRsp = 352,
    CmdSetGrowthTargetAvatarScRsp = 384,
    CmdAvatarExpUpCsReq = 331,
    CmdAddMultiPathAvatarScNotify = 325,
    CmdRankUpAvatarScRsp = 383,
    CmdSetGrowthTargetAvatarCsReq = 314,
    CmdTakeOffRelicCsReq = 339,
    CmdDressAvatarCsReq = 322,
    CmdTakePromotionRewardScRsp = 342,
    CmdTakeOffRelicScRsp = 343,
    CmdGrowthTargetAvatarChangedScNotify = 337,
    CmdGetAvatarDataCsReq = 395,
    CmdGetPreAvatarGrowthInfoCsReq = 330,
    CmdTakeOffAvatarSkinScRsp = 329,
    CmdMarkAvatarScRsp = 393,
    CmdGetPreAvatarListCsReq = 351,
    CmdUnlockSkilltreeScRsp = 348,
    CmdGetPreAvatarListScRsp = 391,
    CmdPVEBattleResultCsReq = 195,
    CmdPVEBattleResultScRsp = 132,
    CmdSyncClientResVersionCsReq = 171,
    CmdBattleLogReportScRsp = 172,
    CmdQuitBattleScRsp = 140,
    CmdBattleLogReportCsReq = 156,
    CmdQuitBattleScNotify = 122,
    CmdGetCurBattleInfoScRsp = 148,
    CmdGetCurBattleInfoCsReq = 176,
    CmdReBattleAfterBattleLoseCsNotify = 116,
    CmdQuitBattleCsReq = 131,
    CmdServerSimulateBattleFinishScNotify = 185,
    CmdRebattleByClientCsNotify = 146,
    CmdSyncClientResVersionScRsp = 152,
    CmdGetBattleCollegeDataCsReq = 5795,
    CmdStartBattleCollegeCsReq = 5740,
    CmdBattleCollegeDataChangeScNotify = 5731,
    CmdGetBattleCollegeDataScRsp = 5732,
    CmdStartBattleCollegeScRsp = 5776,
    CmdTakeBpRewardCsReq = 3040,
    CmdTakeAllRewardScRsp = 3022,
    CmdTakeBpRewardScRsp = 3076,
    CmdBattlePassInfoNotify = 3095,
    CmdBuyBpLevelScRsp = 3071,
    CmdBuyBpLevelCsReq = 3048,
    CmdTakeAllRewardCsReq = 3052,
    CmdTakeBenefitActivityRewardCsReq = 4852,
    CmdGetBenefitActivityInfoScRsp = 4896,
    CmdJoinBenefitActivityScRsp = 4867,
    CmdJoinBenefitActivityCsReq = 4886,
    CmdGetBenefitActivityInfoCsReq = 4854,
    CmdTakeBenefitActivityRewardScRsp = 4887,
    CmdStartBoxingClubBattleScRsp = 4248,
    CmdSetBoxingClubResonanceLineupScRsp = 4246,
    CmdSetBoxingClubResonanceLineupCsReq = 4216,
    CmdBoxingClubChallengeUpdateScNotify = 4256,
    CmdGiveUpBoxingClubChallengeScRsp = 4252,
    CmdGiveUpBoxingClubChallengeCsReq = 4271,
    CmdChooseBoxingClubResonanceCsReq = 4272,
    CmdChooseBoxingClubResonanceScRsp = 4285,
    CmdBoxingClubRewardScNotify = 4222,
    CmdGetBoxingClubInfoCsReq = 4295,
    CmdStartBoxingClubBattleCsReq = 4276,
    CmdMatchBoxingClubOpponentCsReq = 4231,
    CmdChooseBoxingClubStageOptionalBuffCsReq = 4283,
    CmdGetBoxingClubInfoScRsp = 4232,
    CmdChooseBoxingClubStageOptionalBuffScRsp = 4260,
    CmdMatchBoxingClubOpponentScRsp = 4240,
    CmdLeaveChallengeCsReq = 1776,
    CmdTakeChallengeRewardScRsp = 1760,
    CmdRestartChallengePhaseScRsp = 1758,
    CmdStartPartialChallengeScRsp = 1733,
    CmdStartChallengeScRsp = 1740,
    CmdGetChallengeGroupStatisticsScRsp = 1739,
    CmdTakeChallengeRewardCsReq = 1783,
    CmdEnterChallengeNextPhaseCsReq = 1721,
    CmdGetChallengeScRsp = 1732,
    CmdChallengeLineupNotify = 1785,
    CmdLeaveChallengeScRsp = 1748,
    CmdGetCurChallengeCsReq = 1756,
    CmdStartChallengeCsReq = 1731,
    CmdGetChallengeCsReq = 1795,
    CmdEnterChallengeNextPhaseScRsp = 1729,
    CmdChallengeBossPhaseSettleNotify = 1763,
    CmdRestartChallengePhaseCsReq = 1777,
    CmdStartPartialChallengeCsReq = 1743,
    CmdGetChallengeGroupStatisticsCsReq = 1702,
    CmdGetCurChallengeScRsp = 1772,
    CmdChallengeSettleNotify = 1771,
    CmdSendMsgScRsp = 3932,
    CmdGetLoginChatInfoScRsp = 3960,
    CmdGetPrivateChatHistoryCsReq = 3976,
    CmdBatchMarkChatEmojiCsReq = 3916,
    CmdRevcMsgScNotify = 3931,
    CmdMarkChatEmojiCsReq = 3972,
    CmdGetLoginChatInfoCsReq = 3983,
    CmdBatchMarkChatEmojiScRsp = 3946,
    CmdSendMsgCsReq = 3995,
    CmdGetChatEmojiListScRsp = 3956,
    CmdPrivateMsgOfflineUsersScNotify = 3940,
    CmdGetChatFriendHistoryCsReq = 3971,
    CmdMarkChatEmojiScRsp = 3985,
    CmdGetChatEmojiListCsReq = 3922,
    CmdGetPrivateChatHistoryScRsp = 3948,
    CmdGetChatFriendHistoryScRsp = 3952,
    CmdChessRogueUpdateDiceInfoScNotify = 5514,
    CmdChessRoguePickAvatarScRsp = 5568,
    CmdChessRogueQueryAeonDimensionsCsReq = 5578,
    CmdSelectChessRogueSubStoryScRsp = 5496,
    CmdChessRogueCheatRollScRsp = 5473,
    CmdChessRogueSelectCellScRsp = 5422,
    CmdSyncChessRogueNousValueScNotify = 5506,
    CmdChessRogueNousEnableRogueTalentScRsp = 5523,
    CmdChessRogueRollDiceScRsp = 5426,
    CmdGetChessRogueNousStoryInfoScRsp = 5594,
    CmdFinishChessRogueSubStoryScRsp = 5504,
    CmdChessRogueNousEditDiceCsReq = 5571,
    CmdChessRogueUpdateReviveInfoScNotify = 5598,
    CmdChessRogueNousGetRogueTalentInfoCsReq = 5505,
    CmdEnhanceChessRogueBuffScRsp = 5419,
    CmdChessRogueRollDiceCsReq = 5533,
    CmdSyncChessRogueMainStoryFinishScNotify = 5477,
    CmdChessRogueEnterNextLayerScRsp = 5501,
    CmdEnhanceChessRogueBuffCsReq = 5551,
    CmdFinishChessRogueSubStoryCsReq = 5520,
    CmdChessRogueChangeyAeonDimensionNotify = 5486,
    CmdChessRogueLeaveCsReq = 5573,
    CmdSyncChessRogueNousSubStoryScNotify = 5497,
    CmdChessRogueQueryScRsp = 5447,
    CmdSelectChessRogueSubStoryCsReq = 5535,
    CmdGetChessRogueStoryInfoScRsp = 5481,
    CmdChessRogueUpdateBoardScNotify = 5580,
    CmdChessRogueNousGetRogueTalentInfoScRsp = 5552,
    CmdChessRogueLayerAccountInfoNotify = 5555,
    CmdChessRogueStartCsReq = 5471,
    CmdChessRogueNousEnableRogueTalentCsReq = 5433,
    CmdEnterChessRogueAeonRoomCsReq = 5585,
    CmdChessRogueNousDiceUpdateNotify = 5597,
    CmdChessRogueUpdateAeonModifierValueScNotify = 5574,
    CmdChessRogueQuestFinishNotify = 5526,
    CmdGetChessRogueStoryInfoCsReq = 5570,
    CmdChessRogueReRollDiceScRsp = 5445,
    CmdChessRogueEnterCellScRsp = 5518,
    CmdChessRogueQueryAeonDimensionsScRsp = 5413,
    CmdChessRogueReRollDiceCsReq = 5587,
    CmdChessRogueUpdateDicePassiveAccumulateValueScNotify = 5415,
    CmdChessRogueUpdateActionPointScNotify = 5468,
    CmdGetChessRogueBuffEnhanceInfoScRsp = 5586,
    CmdChessRogueNousDiceSurfaceUnlockNotify = 5538,
    CmdChessRoguePickAvatarCsReq = 5590,
    CmdChessRogueStartScRsp = 5441,
    CmdGetChessRogueStoryAeonTalkInfoCsReq = 5588,
    CmdChessRogueGiveUpRollCsReq = 5547,
    CmdChessRogueConfirmRollCsReq = 5448,
    CmdChessRogueReviveAvatarScRsp = 5516,
    CmdChessRogueEnterNextLayerCsReq = 5460,
    CmdChessRogueUpdateLevelBaseInfoScNotify = 5461,
    CmdChessRogueReviveAvatarCsReq = 5465,
    CmdGetChessRogueNousStoryInfoCsReq = 5474,
    CmdChessRogueSkipTeachingLevelCsReq = 5418,
    CmdChessRogueUpdateUnlockLevelScNotify = 5527,
    CmdChessRogueQuitCsReq = 5492,
    CmdChessRogueQueryCsReq = 5595,
    CmdChessRogueQuitScRsp = 5521,
    CmdChessRogueGiveUpCsReq = 5529,
    CmdChessRogueGiveUpScRsp = 5436,
    CmdChessRogueCellUpdateNotify = 5490,
    CmdEnterChessRogueAeonRoomScRsp = 5417,
    CmdChessRogueEnterScRsp = 5457,
    CmdChessRogueUpdateMoneyInfoScNotify = 5484,
    CmdGetChessRogueBuffEnhanceInfoCsReq = 5525,
    CmdChessRogueSelectCellCsReq = 5528,
    CmdSyncChessRogueNousMainStoryScNotify = 5510,
    CmdChessRogueConfirmRollScRsp = 5542,
    CmdChessRogueEnterCsReq = 5414,
    CmdChessRogueSkipTeachingLevelScRsp = 5600,
    CmdGetChessRogueStoryAeonTalkInfoScRsp = 5449,
    CmdChessRogueUpdateAllowedSelectCellScNotify = 5495,
    CmdChessRogueLeaveScRsp = 5531,
    CmdChessRogueGiveUpRollScRsp = 5408,
    CmdChessRogueCheatRollCsReq = 5512,
    CmdChessRogueEnterCellCsReq = 5472,
    CmdChessRogueNousEditDiceScRsp = 5557,
    CmdChimeraQuitEndlessCsReq = 8165,
    CmdChimeraRoundWorkStartScRsp = 8166,
    CmdChimeraDoFinalRoundCsReq = 8171,
    CmdChimeraSetLineupScRsp = 8170,
    CmdChimeraFinishEndlessRoundScRsp = 8163,
    CmdChimeraFinishRoundScRsp = 8162,
    CmdChimeraFinishEndlessRoundCsReq = 8167,
    CmdChimeraStartEndlessScRsp = 8169,
    CmdChimeraRoundWorkStartCsReq = 8172,
    CmdChimeraGetDataCsReq = 8174,
    CmdChimeraQuitEndlessScRsp = 8161,
    CmdChimeraDoFinalRoundScRsp = 8179,
    CmdChimeraGetDataScRsp = 8173,
    CmdChimeraFinishRoundCsReq = 8164,
    CmdChimeraSetLineupCsReq = 8168,
    CmdChimeraStartEndlessCsReq = 8180,
    CmdClockParkHandleWaitOperationScRsp = 7207,
    CmdClockParkUnlockTalentScRsp = 7217,
    CmdClockParkGetOngoingScriptInfoScRsp = 7209,
    CmdClockParkStartScriptScRsp = 7215,
    CmdClockParkGetInfoCsReq = 7204,
    CmdClockParkFinishScriptScNotify = 7216,
    CmdClockParkGetInfoScRsp = 7246,
    CmdClockParkBattleEndScNotify = 7232,
    CmdClockParkUnlockTalentCsReq = 7236,
    CmdClockParkUseBuffScRsp = 7222,
    CmdClockParkStartScriptCsReq = 7227,
    CmdClockParkGetOngoingScriptInfoCsReq = 7243,
    CmdClockParkUseBuffCsReq = 7226,
    CmdClockParkQuitScriptScRsp = 7240,
    CmdClockParkHandleWaitOperationCsReq = 7245,
    CmdClockParkQuitScriptCsReq = 7250,
    CmdContentPackageUnlockCsReq = 7537,
    CmdContentPackageTransferScNotify = 7517,
    CmdContentPackageSyncDataScNotify = 7502,
    CmdContentPackageUnlockScRsp = 7536,
    CmdContentPackageGetDataScRsp = 7546,
    CmdContentPackageGetDataCsReq = 7504,
    CmdTakeAllApRewardCsReq = 3348,
    CmdTakeAllApRewardScRsp = 3371,
    CmdGetDailyActiveInfoScRsp = 3340,
    CmdTakeApRewardCsReq = 3395,
    CmdDailyActiveInfoNotify = 3376,
    CmdTakeApRewardScRsp = 3332,
    CmdGetDailyActiveInfoCsReq = 3331,
    CmdServerLogScNotify = 2486,
    CmdGetServerLogSettingsCsReq = 2454,
    CmdGetServerGraphDataCsReq = 2467,
    CmdUpdateServerLogSettingsCsReq = 2452,
    CmdUpdateServerLogSettingsScRsp = 2487,
    CmdGetServerLogSettingsScRsp = 2496,
    CmdGetServerGraphDataScRsp = 2477,
    CmdEndDrinkMakerSequenceCsReq = 6984,
    CmdDrinkMakerDayEndScNotify = 6987,
    CmdMakeMissionDrinkScRsp = 6989,
    CmdMakeDrinkScRsp = 6990,
    CmdDrinkMakerUpdateTipsNotify = 6981,
    CmdDrinkMakerChallengeCsReq = 6983,
    CmdMakeDrinkCsReq = 6988,
    CmdGetDrinkMakerDataCsReq = 6994,
    CmdEndDrinkMakerSequenceScRsp = 6982,
    CmdGetDrinkMakerDataScRsp = 6993,
    CmdMakeMissionDrinkCsReq = 7000,
    CmdDrinkMakerChallengeScRsp = 6985,
    CmdResetEraFlipperDataScRsp = 6551,
    CmdEraFlipperDataChangeScNotify = 6554,
    CmdEnterEraFlipperRegionScRsp = 6558,
    CmdChangeEraFlipperDataScRsp = 6569,
    CmdResetEraFlipperDataCsReq = 6574,
    CmdGetEraFlipperDataCsReq = 6561,
    CmdEnterEraFlipperRegionCsReq = 6553,
    CmdChangeEraFlipperDataCsReq = 6559,
    CmdGetEraFlipperDataScRsp = 6570,
    CmdEvolveBuildCoinNotify = 7134,
    CmdEvolveBuildTakeExpRewardScRsp = 7116,
    CmdEvolveBuildSkipTeachLevelCsReq = 7101,
    CmdEvolveBuildReRandomStageScRsp = 7150,
    CmdEvolveBuildShopAbilityResetScRsp = 7129,
    CmdEvolveBuildLeaveCsReq = 7143,
    CmdEvolveBuildQueryInfoScRsp = 7146,
    CmdEvolveBuildFinishScNotify = 7145,
    CmdEvolveBuildTakeExpRewardCsReq = 7122,
    CmdEvolveBuildStartLevelScRsp = 7137,
    CmdEvolveBuildStartStageCsReq = 7136,
    CmdEvolveBuildGiveupScRsp = 7115,
    CmdEvolveBuildShopAbilityDownScRsp = 7126,
    CmdEvolveBuildSkipTeachLevelScRsp = 7105,
    CmdEvolveBuildReRandomStageCsReq = 7107,
    CmdEvolveBuildStartLevelCsReq = 7102,
    CmdEvolveBuildStartStageScRsp = 7117,
    CmdEvolveBuildLeaveScRsp = 7109,
    CmdEvolveBuildQueryInfoCsReq = 7104,
    CmdEvolveBuildShopAbilityResetCsReq = 7142,
    CmdEvolveBuildShopAbilityUpScRsp = 7132,
    CmdEvolveBuildShopAbilityUpCsReq = 7144,
    CmdEvolveBuildGiveupCsReq = 7127,
    CmdEvolveBuildShopAbilityDownCsReq = 7123,
    CmdTakeExpeditionRewardCsReq = 2571,
    CmdTakeMultipleActivityExpeditionRewardCsReq = 2533,
    CmdGetExpeditionDataCsReq = 2595,
    CmdTakeMultipleExpeditionRewardCsReq = 2539,
    CmdAcceptMultipleExpeditionScRsp = 2502,
    CmdAcceptExpeditionScRsp = 2540,
    CmdAcceptActivityExpeditionScRsp = 2572,
    CmdCancelExpeditionScRsp = 2548,
    CmdAcceptActivityExpeditionCsReq = 2556,
    CmdTakeExpeditionRewardScRsp = 2552,
    CmdCancelExpeditionCsReq = 2576,
    CmdTakeActivityExpeditionRewardScRsp = 2583,
    CmdCancelActivityExpeditionScRsp = 2516,
    CmdAcceptExpeditionCsReq = 2531,
    CmdExpeditionDataChangeScNotify = 2522,
    CmdCancelActivityExpeditionCsReq = 2585,
    CmdAcceptMultipleExpeditionCsReq = 2560,
    CmdTakeMultipleExpeditionRewardScRsp = 2543,
    CmdTakeMultipleActivityExpeditionRewardScRsp = 2542,
    CmdGetExpeditionDataScRsp = 2532,
    CmdTakeActivityExpeditionRewardCsReq = 2546,
    CmdFinishChapterScNotify = 4931,
    CmdGetFantasticStoryActivityDataScRsp = 4932,
    CmdGetFantasticStoryActivityDataCsReq = 4995,
    CmdEnterFantasticStoryActivityStageScRsp = 4976,
    CmdEnterFantasticStoryActivityStageCsReq = 4940,
    CmdFantasticStoryActivityBattleEndScNotify = 4948,
    CmdGetFeverTimeActivityDataScRsp = 7151,
    CmdEnterFeverTimeActivityStageScRsp = 7155,
    CmdEnterFeverTimeActivityStageCsReq = 7152,
    CmdGetFeverTimeActivityDataCsReq = 7157,
    CmdFeverTimeActivityBattleEndScNotify = 7154,
    CmdFightEnterCsReq = 30095,
    CmdFightKickOutScNotify = 30040,
    CmdFightHeartBeatScRsp = 30048,
    CmdFightSessionStopScNotify = 30071,
    CmdFightEnterScRsp = 30032,
    CmdFightLeaveScNotify = 30031,
    CmdFightHeartBeatCsReq = 30076,
    CmdFightGeneralScRsp = 30022,
    CmdFightGeneralScNotify = 30056,
    CmdFightGeneralCsReq = 30052,
    CmdEnterFightActivityStageScRsp = 3676,
    CmdFightActivityDataChangeScNotify = 3631,
    CmdGetFightActivityDataCsReq = 3695,
    CmdTakeFightActivityRewardScRsp = 3671,
    CmdGetFightActivityDataScRsp = 3632,
    CmdEnterFightActivityStageCsReq = 3640,
    CmdTakeFightActivityRewardCsReq = 3648,
    CmdStartFightFestScRsp = 7287,
    CmdStartFightFestCsReq = 7252,
    CmdFightFestUpdateCoinNotify = 7265,
    CmdGetFightFestDataScRsp = 7296,
    CmdFightFestScoreUpdateNotify = 7286,
    CmdFightFestUnlockSkillNotify = 7267,
    CmdFightFestUpdateChallengeRecordNotify = 7277,
    CmdGetFightFestDataCsReq = 7254,
    CmdFightMatch3SwapScRsp = 30171,
    CmdFightMatch3TurnStartScNotify = 30140,
    CmdFightMatch3DataScRsp = 30132,
    CmdFightMatch3DataCsReq = 30195,
    CmdFightMatch3ChatScNotify = 30172,
    CmdFightMatch3ChatScRsp = 30156,
    CmdFightMatch3ChatCsReq = 30122,
    CmdFightMatch3TurnEndScNotify = 30176,
    CmdFightMatch3ForceUpdateNotify = 30185,
    CmdFightMatch3SwapCsReq = 30148,
    CmdFightMatch3OpponentDataScNotify = 30152,
    CmdFightMatch3StartCountDownScNotify = 30131,
    CmdGetPlayerDetailInfoCsReq = 2931,
    CmdDeleteBlacklistScRsp = 2963,
    CmdGetFriendRecommendLineupCsReq = 2936,
    CmdGetAssistHistoryCsReq = 2951,
    CmdGetCurAssistScRsp = 2975,
    CmdGetFriendBattleRecordDetailCsReq = 2934,
    CmdNewAssistHistoryNotify = 2924,
    CmdGetFriendRecommendLineupDetailScRsp = 2974,
    CmdSearchPlayerCsReq = 2911,
    CmdSetFriendRemarkNameScRsp = 2977,
    CmdSyncDeleteFriendScNotify = 2983,
    CmdSetAssistCsReq = 2984,
    CmdSearchPlayerScRsp = 2993,
    CmdGetFriendDevelopmentInfoScRsp = 2953,
    CmdCurAssistChangedNotify = 2998,
    CmdSetFriendRemarkNameCsReq = 2942,
    CmdGetFriendAssistListScRsp = 2954,
    CmdSetAssistScRsp = 2937,
    CmdGetAssistListCsReq = 2925,
    CmdDeleteBlacklistCsReq = 2929,
    CmdGetFriendChallengeDetailCsReq = 2908,
    CmdGetFriendChallengeDetailScRsp = 2935,
    CmdHandleFriendCsReq = 2956,
    CmdGetFriendRecommendLineupDetailCsReq = 2927,
    CmdGetFriendLoginInfoScRsp = 2913,
    CmdGetPlayerDetailInfoScRsp = 2940,
    CmdGetFriendChallengeLineupCsReq = 2999,
    CmdSyncAddBlacklistScNotify = 2939,
    CmdGetFriendListInfoCsReq = 2995,
    CmdAddBlacklistScRsp = 2902,
    CmdGetFriendListInfoScRsp = 2932,
    CmdTakeAssistRewardCsReq = 2957,
    CmdGetFriendAssistListCsReq = 2909,
    CmdApplyFriendScRsp = 2952,
    CmdGetFriendRecommendListInfoCsReq = 2943,
    CmdGetCurAssistCsReq = 2930,
    CmdGetFriendApplyListInfoCsReq = 2976,
    CmdSetFriendMarkCsReq = 2986,
    CmdGetFriendRecommendListInfoScRsp = 2933,
    CmdGetAssistHistoryScRsp = 2991,
    CmdSyncApplyFriendScNotify = 2922,
    CmdSetForbidOtherApplyFriendCsReq = 2978,
    CmdGetFriendApplyListInfoScRsp = 2948,
    CmdGetFriendDevelopmentInfoCsReq = 2901,
    CmdGetFriendChallengeLineupScRsp = 2987,
    CmdGetFriendBattleRecordDetailScRsp = 2968,
    CmdHandleFriendScRsp = 2972,
    CmdReportPlayerScRsp = 2921,
    CmdSyncHandleFriendScNotify = 2985,
    CmdDeleteFriendScRsp = 2946,
    CmdAddBlacklistCsReq = 2960,
    CmdApplyFriendCsReq = 2971,
    CmdTakeAssistRewardScRsp = 2907,
    CmdSetFriendMarkScRsp = 3000,
    CmdGetFriendRecommendLineupScRsp = 2994,
    CmdGetPlatformPlayerInfoCsReq = 2964,
    CmdDeleteFriendCsReq = 2916,
    CmdGetAssistListScRsp = 2914,
    CmdReportPlayerCsReq = 2958,
    CmdGetFriendLoginInfoCsReq = 2945,
    CmdSetForbidOtherApplyFriendScRsp = 2920,
    CmdGetPlatformPlayerInfoScRsp = 2906,
    CmdDoGachaCsReq = 1931,
    CmdGetGachaCeilingScRsp = 1948,
    CmdGetGachaInfoScRsp = 1932,
    CmdGachaDecideItemChangeScNotify = 1972,
    CmdDoGachaScRsp = 1940,
    CmdExchangeGachaCeilingCsReq = 1971,
    CmdGetGachaInfoCsReq = 1995,
    CmdExchangeGachaCeilingScRsp = 1952,
    CmdSetGachaDecideItemCsReq = 1922,
    CmdGetGachaCeilingCsReq = 1976,
    CmdSetGachaDecideItemScRsp = 1956,
    CmdChangeScriptEmotionCsReq = 6331,
    CmdFinishEmotionDialoguePerformanceCsReq = 6371,
    CmdHeartDialTraceScriptCsReq = 6356,
    CmdGetHeartDialInfoCsReq = 6395,
    CmdFinishEmotionDialoguePerformanceScRsp = 6352,
    CmdHeartDialScriptChangeScNotify = 6322,
    CmdGetHeartDialInfoScRsp = 6332,
    CmdSubmitEmotionItemCsReq = 6376,
    CmdSubmitEmotionItemScRsp = 6348,
    CmdHeartDialTraceScriptScRsp = 6372,
    CmdChangeScriptEmotionScRsp = 6340,
    CmdHeliobusSelectSkillCsReq = 5860,
    CmdHeliobusChallengeUpdateScNotify = 5821,
    CmdHeliobusSnsUpdateScNotify = 5872,
    CmdHeliobusSnsLikeCsReq = 5871,
    CmdHeliobusUnlockSkillScNotify = 5883,
    CmdHeliobusSnsCommentScRsp = 5856,
    CmdHeliobusEnterBattleCsReq = 5833,
    CmdHeliobusActivityDataScRsp = 5832,
    CmdHeliobusStartRaidCsReq = 5877,
    CmdHeliobusStartRaidScRsp = 5858,
    CmdHeliobusLineupUpdateScNotify = 5829,
    CmdHeliobusUpgradeLevelScRsp = 5846,
    CmdHeliobusSnsReadScRsp = 5840,
    CmdHeliobusSnsPostScRsp = 5848,
    CmdHeliobusSnsPostCsReq = 5876,
    CmdHeliobusSnsLikeScRsp = 5852,
    CmdHeliobusSnsCommentCsReq = 5822,
    CmdHeliobusSnsReadCsReq = 5831,
    CmdHeliobusInfoChangedScNotify = 5885,
    CmdHeliobusSelectSkillScRsp = 5802,
    CmdHeliobusUpgradeLevelCsReq = 5816,
    CmdHeliobusActivityDataCsReq = 5895,
    CmdHeliobusEnterBattleScRsp = 5842,
    CmdComposeSelectedRelicScRsp = 529,
    CmdSellItemScRsp = 533,
    CmdGetMarkItemListScRsp = 575,
    CmdDeleteRelicFilterPlanCsReq = 535,
    CmdBatchRankUpEquipmentScRsp = 517,
    CmdGetRelicFilterPlanCsReq = 600,
    CmdRelicReforgeConfirmCsReq = 527,
    CmdComposeLimitNumCompleteNotify = 525,
    CmdRelicFilterPlanClearNameScNotify = 553,
    CmdComposeSelectedRelicCsReq = 521,
    CmdDestroyItemScRsp = 537,
    CmdGetBagScRsp = 532,
    CmdAddRelicFilterPlanScRsp = 599,
    CmdComposeLimitNumUpdateNotify = 514,
    CmdCancelMarkItemNotify = 524,
    CmdGetRecyleTimeCsReq = 511,
    CmdBatchRankUpEquipmentCsReq = 590,
    CmdRechargeSuccNotify = 542,
    CmdModifyRelicFilterPlanCsReq = 587,
    CmdDestroyItemCsReq = 584,
    CmdLockEquipmentCsReq = 576,
    CmdExpUpRelicScRsp = 560,
    CmdGetRecyleTimeScRsp = 593,
    CmdGetRelicFilterPlanScRsp = 509,
    CmdUseItemCsReq = 571,
    CmdMarkItemScRsp = 591,
    CmdExchangeHcoinCsReq = 577,
    CmdRelicReforgeCsReq = 536,
    CmdLockRelicScRsp = 539,
    CmdRankUpEquipmentScRsp = 556,
    CmdUseItemScRsp = 552,
    CmdLockRelicCsReq = 502,
    CmdGetBagCsReq = 595,
    CmdSellItemCsReq = 543,
    CmdExpUpEquipmentCsReq = 572,
    CmdSetTurnFoodSwitchScRsp = 598,
    CmdSyncTurnFoodNotify = 557,
    CmdModifyRelicFilterPlanScRsp = 508,
    CmdMarkRelicFilterPlanScRsp = 501,
    CmdAddEquipmentScNotify = 563,
    CmdExpUpEquipmentScRsp = 585,
    CmdExchangeHcoinScRsp = 558,
    CmdDiscardRelicScRsp = 545,
    CmdGeneralVirtualItemDataNotify = 564,
    CmdSetTurnFoodSwitchCsReq = 507,
    CmdLockEquipmentScRsp = 548,
    CmdRelicReforgeScRsp = 594,
    CmdMarkItemCsReq = 551,
    CmdComposeItemCsReq = 516,
    CmdExpUpRelicCsReq = 583,
    CmdRankUpEquipmentCsReq = 522,
    CmdComposeItemScRsp = 546,
    CmdPromoteEquipmentScRsp = 540,
    CmdPromoteEquipmentCsReq = 531,
    CmdRelicReforgeConfirmScRsp = 574,
    CmdMarkRelicFilterPlanCsReq = 568,
    CmdDiscardRelicCsReq = 506,
    CmdDeleteRelicFilterPlanScRsp = 534,
    CmdAddRelicFilterPlanCsReq = 554,
    CmdGetMarkItemListCsReq = 530,
    CmdPlayBackGroundMusicCsReq = 3131,
    CmdGetJukeboxDataScRsp = 3132,
    CmdPlayBackGroundMusicScRsp = 3140,
    CmdUnlockBackGroundMusicCsReq = 3176,
    CmdTrialBackGroundMusicScRsp = 3152,
    CmdGetJukeboxDataCsReq = 3195,
    CmdUnlockBackGroundMusicScRsp = 3148,
    CmdTrialBackGroundMusicCsReq = 3171,
    CmdSwapLineupScRsp = 756,
    CmdJoinLineupScRsp = 748,
    CmdQuitLineupCsReq = 771,
    CmdGetStageLineupScRsp = 732,
    CmdGetCurLineupDataScRsp = 740,
    CmdExtraLineupDestroyNotify = 729,
    CmdGetLineupAvatarDataScRsp = 716,
    CmdSwitchLineupIndexScRsp = 702,
    CmdGetLineupAvatarDataCsReq = 785,
    CmdSwitchLineupIndexCsReq = 760,
    CmdGetStageLineupCsReq = 795,
    CmdVirtualLineupDestroyNotify = 777,
    CmdReplaceLineupScRsp = 721,
    CmdChangeLineupLeaderScRsp = 783,
    CmdSwapLineupCsReq = 722,
    CmdGetAllLineupDataCsReq = 733,
    CmdSyncLineupNotify = 772,
    CmdVirtualLineupTrialAvatarChangeScNotify = 763,
    CmdSetLineupNameScRsp = 743,
    CmdReplaceLineupCsReq = 758,
    CmdQuitLineupScRsp = 752,
    CmdSetLineupNameCsReq = 739,
    CmdJoinLineupCsReq = 776,
    CmdGetCurLineupDataCsReq = 731,
    CmdGetAllLineupDataScRsp = 742,
    CmdChangeLineupLeaderCsReq = 746,
    CmdLobbyInviteCsReq = 7357,
    CmdLobbySyncInfoScNotify = 7395,
    CmdLobbyJoinCsReq = 7352,
    CmdLobbyStartFightCsReq = 7386,
    CmdLobbyInteractCsReq = 7376,
    CmdLobbyKickOutCsReq = 7393,
    CmdLobbyStartFightScRsp = 7367,
    CmdLobbyJoinScRsp = 7387,
    CmdLobbyGetInfoCsReq = 7382,
    CmdLobbyGetInfoScRsp = 7373,
    CmdLobbyKickOutScRsp = 7359,
    CmdLobbyQuitCsReq = 7390,
    CmdLobbyCreateCsReq = 7354,
    CmdLobbyModifyPlayerInfoCsReq = 7377,
    CmdLobbyInteractScRsp = 7372,
    CmdLobbyInviteScRsp = 7400,
    CmdLobbyInviteScNotify = 7394,
    CmdLobbyQuitScRsp = 7370,
    CmdLobbyCreateScRsp = 7396,
    CmdLobbyModifyPlayerInfoScRsp = 7365,
    CmdLobbyInteractScNotify = 7366,
    CmdMarkReadMailCsReq = 831,
    CmdMarkReadMailScRsp = 840,
    CmdDelMailScRsp = 848,
    CmdTakeMailAttachmentScRsp = 852,
    CmdNewMailScNotify = 822,
    CmdGetMailScRsp = 832,
    CmdGetMailCsReq = 895,
    CmdDelMailCsReq = 876,
    CmdTakeMailAttachmentCsReq = 871,
    CmdGetMapRotationDataCsReq = 6872,
    CmdDeployRotaterScRsp = 6848,
    CmdLeaveMapRotationRegionScNotify = 6883,
    CmdEnterMapRotationRegionCsReq = 6895,
    CmdResetMapRotationRegionCsReq = 6816,
    CmdGetMapRotationDataScRsp = 6885,
    CmdRotateMapScRsp = 6852,
    CmdEnterMapRotationRegionScRsp = 6832,
    CmdLeaveMapRotationRegionCsReq = 6822,
    CmdLeaveMapRotationRegionScRsp = 6856,
    CmdUpdateRotaterScNotify = 6833,
    CmdRotateMapCsReq = 6871,
    CmdResetMapRotationRegionScRsp = 6846,
    CmdInteractChargerCsReq = 6831,
    CmdUpdateEnergyScNotify = 6860,
    CmdRemoveRotaterCsReq = 6839,
    CmdUpdateMapRotationDataScNotify = 6802,
    CmdDeployRotaterCsReq = 6876,
    CmdInteractChargerScRsp = 6840,
    CmdRemoveRotaterScRsp = 6843,
    CmdMarbleUpdateShownSealCsReq = 8277,
    CmdMarbleGetDataScRsp = 8283,
    CmdMarbleLevelFinishCsReq = 8278,
    CmdMarbleUpdateShownSealScRsp = 8273,
    CmdMarbleLevelFinishScRsp = 8280,
    CmdMarblePvpDataUpdateScNotify = 8279,
    CmdMarbleUnlockSealScNotify = 8290,
    CmdMarbleShopBuyCsReq = 8274,
    CmdMarbleShopBuyScRsp = 8272,
    CmdMarbleGetDataCsReq = 8284,
    CmdUpdateMarkChestScRsp = 8190,
    CmdGetMarkChestScRsp = 8193,
    CmdGetMarkChestCsReq = 8194,
    CmdMarkChestChangedScNotify = 8184,
    CmdUpdateMarkChestCsReq = 8188,
    CmdGetCrossInfoCsReq = 7317,
    CmdCancelMatchScRsp = 7337,
    CmdStartMatchCsReq = 7304,
    CmdGetCrossInfoScRsp = 7327,
    CmdStartMatchScRsp = 7346,
    CmdCancelMatchCsReq = 7302,
    CmdMatchResultScNotify = 7336,
    CmdMatchThreeSetBirdPosCsReq = 7417,
    CmdMatchThreeLevelEndScRsp = 7437,
    CmdMatchThreeSetBirdPosScRsp = 7427,
    CmdMatchThreeSyncDataScNotify = 7436,
    CmdMatchThreeGetDataScRsp = 7446,
    CmdMatchThreeLevelEndCsReq = 7402,
    CmdMatchThreeGetDataCsReq = 7404,
    CmdGetMissionMessageInfoCsReq = 2772,
    CmdFinishPerformSectionIdScRsp = 2756,
    CmdGetNpcStatusCsReq = 2731,
    CmdFinishItemIdCsReq = 2776,
    CmdFinishSectionIdScRsp = 2752,
    CmdFinishItemIdScRsp = 2748,
    CmdGetMissionMessageInfoScRsp = 2785,
    CmdFinishSectionIdCsReq = 2771,
    CmdFinishPerformSectionIdCsReq = 2722,
    CmdGetNpcMessageGroupCsReq = 2795,
    CmdGetNpcStatusScRsp = 2740,
    CmdGetNpcMessageGroupScRsp = 2732,
    CmdDifficultyAdjustmentGetDataScRsp = 4114,
    CmdCancelCacheNotifyCsReq = 4122,
    CmdCancelCacheNotifyScRsp = 4156,
    CmdMazeKillDirectScRsp = 4175,
    CmdGetOrigamiPropInfoScRsp = 4139,
    CmdDifficultyAdjustmentUpdateDataCsReq = 4184,
    CmdGetShareDataCsReq = 4131,
    CmdGetMovieRacingDataCsReq = 4142,
    CmdUpdateGunPlayDataCsReq = 4111,
    CmdTakePictureScRsp = 4148,
    CmdGetGunPlayDataCsReq = 4129,
    CmdShareCsReq = 4195,
    CmdDifficultyAdjustmentUpdateDataScRsp = 4137,
    CmdGetShareDataScRsp = 4140,
    CmdTakePictureCsReq = 4176,
    CmdSubmitOrigamiItemScRsp = 4160,
    CmdMazeKillDirectCsReq = 4130,
    CmdDifficultyAdjustmentGetDataCsReq = 4125,
    CmdSecurityReportScRsp = 4185,
    CmdTriggerVoiceScRsp = 4146,
    CmdTriggerVoiceCsReq = 4116,
    CmdUpdateGunPlayDataScRsp = 4193,
    CmdGetOrigamiPropInfoCsReq = 4102,
    CmdGetMovieRacingDataScRsp = 4177,
    CmdUpdateMovieRacingDataCsReq = 4158,
    CmdSecurityReportCsReq = 4172,
    CmdGetGunPlayDataScRsp = 4163,
    CmdUpdateMovieRacingDataScRsp = 4121,
    CmdSubmitOrigamiItemCsReq = 4183,
    CmdShareScRsp = 4132,
    CmdSubMissionRewardScNotify = 1263,
    CmdStartFinishMainMissionScNotify = 1214,
    CmdUpdateMainMissionCustomValueScRsp = 1264,
    CmdStartFinishSubMissionScNotify = 1225,
    CmdGetMissionDataScRsp = 1232,
    CmdGetMissionStatusCsReq = 1233,
    CmdGetMainMissionCustomValueScRsp = 1275,
    CmdFinishedMissionScNotify = 1207,
    CmdGetMissionStatusScRsp = 1242,
    CmdSyncTaskScRsp = 1271,
    CmdGetMainMissionCustomValueCsReq = 1230,
    CmdUpdateMainMissionCustomValueCsReq = 1298,
    CmdFinishTalkMissionCsReq = 1231,
    CmdUpdateTrackMainMissionIdCsReq = 1224,
    CmdTeleportToMissionResetPointScRsp = 1293,
    CmdAcceptMainMissionScRsp = 1237,
    CmdMissionAcceptScNotify = 1251,
    CmdAcceptMainMissionCsReq = 1284,
    CmdFinishTalkMissionScRsp = 1240,
    CmdMissionGroupWarnScNotify = 1285,
    CmdUpdateTrackMainMissionIdScRsp = 1257,
    CmdSyncTaskCsReq = 1248,
    CmdFinishCosumeItemMissionScRsp = 1246,
    CmdGetMissionDataCsReq = 1295,
    CmdFinishCosumeItemMissionCsReq = 1216,
    CmdTeleportToMissionResetPointCsReq = 1211,
    CmdMissionRewardScNotify = 1276,
    CmdMonopolySelectOptionScRsp = 7072,
    CmdMonopolyScrachRaffleTicketScRsp = 7070,
    CmdMonopolyCellUpdateNotify = 7040,
    CmdMonopolyBuyGoodsScRsp = 7077,
    CmdMonopolyClickMbtiReportScRsp = 7038,
    CmdMonopolyTakeRaffleTicketRewardScRsp = 7097,
    CmdGetMbtiReportScRsp = 7001,
    CmdMonopolyAcceptQuizScRsp = 7057,
    CmdMonopolyGameBingoFlipCardScRsp = 7091,
    CmdMonopolyGetRegionProgressScRsp = 7018,
    CmdGetMonopolyFriendRankingListScRsp = 7087,
    CmdGetMonopolyDailyReportScRsp = 7015,
    CmdMonopolyGameCreateScNotify = 7007,
    CmdMonopolyMoveCsReq = 7052,
    CmdMonopolyGuessBuyInformationCsReq = 7006,
    CmdMonopolyGetRafflePoolInfoCsReq = 7044,
    CmdMonopolyConfirmRandomScRsp = 7033,
    CmdMonopolyGuessBuyInformationScRsp = 7045,
    CmdMonopolySocialEventEffectScNotify = 7094,
    CmdMonopolyRollDiceCsReq = 7048,
    CmdMonopolyGameRaiseRatioScRsp = 7084,
    CmdMonopolyActionResultScNotify = 7031,
    CmdMonopolyBuyGoodsCsReq = 7042,
    CmdMonopolyMoveScRsp = 7022,
    CmdMonopolyEventLoadUpdateScNotify = 7096,
    CmdMonopolyClickCellCsReq = 7055,
    CmdMonopolyConfirmRandomCsReq = 7043,
    CmdMonopolyGuessChooseScRsp = 7064,
    CmdMonopolyGiveUpCurContentScRsp = 7063,
    CmdMonopolyTakeRaffleTicketRewardCsReq = 7010,
    CmdMonopolyGetDailyInitItemScRsp = 7019,
    CmdGetSocialEventServerCacheScRsp = 7074,
    CmdMonopolyGameSettleScNotify = 7037,
    CmdMonopolyGiveUpCurContentCsReq = 7029,
    CmdGetMonopolyFriendRankingListCsReq = 7099,
    CmdMonopolyGetRegionProgressCsReq = 7004,
    CmdMonopolyGameGachaScRsp = 7075,
    CmdMonopolyConditionUpdateScNotify = 7089,
    CmdMonopolyLikeCsReq = 7008,
    CmdMonopolyUpgradeAssetScRsp = 7021,
    CmdMonopolyContentUpdateScNotify = 7025,
    CmdMonopolyGetDailyInitItemCsReq = 7050,
    CmdMonopolyLikeScRsp = 7035,
    CmdMonopolyAcceptQuizCsReq = 7024,
    CmdMonopolyLikeScNotify = 7034,
    CmdMonopolyReRollRandomCsReq = 7002,
    CmdMonopolyUpgradeAssetCsReq = 7058,
    CmdMonopolyClickCellScRsp = 7080,
    CmdMonopolyTakePhaseRewardCsReq = 7073,
    CmdMonopolyGameRaiseRatioCsReq = 7014,
    CmdGetMbtiReportCsReq = 7068,
    CmdMonopolyGuessChooseCsReq = 7098,
    CmdMonopolyCheatDiceCsReq = 7011,
    CmdGetMonopolyInfoScRsp = 7032,
    CmdMonopolyDailySettleScNotify = 7054,
    CmdMonopolyGetRaffleTicketCsReq = 7049,
    CmdMonopolyReRollRandomScRsp = 7039,
    CmdGetSocialEventServerCacheCsReq = 7027,
    CmdGetMonopolyDailyReportCsReq = 7028,
    CmdMonopolyGetRafflePoolInfoScRsp = 7026,
    CmdDeleteSocialEventServerCacheCsReq = 7090,
    CmdDeleteSocialEventServerCacheScRsp = 7017,
    CmdMonopolyCheatDiceScRsp = 7093,
    CmdMonopolyClickMbtiReportCsReq = 7088,
    CmdGetMonopolyMbtiReportRewardCsReq = 7041,
    CmdMonopolySttUpdateScNotify = 7012,
    CmdMonopolyEventSelectFriendScRsp = 7036,
    CmdDailyFirstEnterMonopolyActivityCsReq = 7016,
    CmdMonopolyScrachRaffleTicketCsReq = 7079,
    CmdMonopolyGameGachaCsReq = 7030,
    CmdGetMonopolyMbtiReportRewardScRsp = 7062,
    CmdDailyFirstEnterMonopolyActivityScRsp = 7046,
    CmdMonopolyGuessDrawScNotify = 7013,
    CmdMonopolyTakePhaseRewardScRsp = 7067,
    CmdMonopolyRollRandomCsReq = 7083,
    CmdMonopolyGameBingoFlipCardCsReq = 7051,
    CmdMonopolyGetRaffleTicketScRsp = 7003,
    CmdMonopolyRollDiceScRsp = 7071,
    CmdMonopolyEventSelectFriendCsReq = 7053,
    CmdMonopolyRollRandomScRsp = 7060,
    CmdGetMonopolyInfoCsReq = 7095,
    CmdMonopolyQuizDurationChangeScNotify = 7078,
    CmdMonopolySelectOptionCsReq = 7056,
    CmdMultiplayerFightGameStateCsReq = 1095,
    CmdMultiplayerMatch3FinishScNotify = 1022,
    CmdMultiplayerGetFightGateCsReq = 1031,
    CmdMultiplayerFightGameStartScNotify = 1071,
    CmdMultiplayerFightGameStateScRsp = 1032,
    CmdMultiplayerFightGiveUpCsReq = 1076,
    CmdMultiplayerGetFightGateScRsp = 1040,
    CmdMultiplayerFightGiveUpScRsp = 1048,
    CmdMultiplayerFightGameFinishScNotify = 1052,
    CmdMultipleDropInfoScNotify = 4631,
    CmdGetMultipleDropInfoScRsp = 4632,
    CmdGetPlayerReturnMultiDropInfoScRsp = 4676,
    CmdMultipleDropInfoNotify = 4648,
    CmdGetPlayerReturnMultiDropInfoCsReq = 4640,
    CmdGetMultipleDropInfoCsReq = 4695,
    CmdMuseumFundsChangedScNotify = 4339,
    CmdMuseumTargetRewardNotify = 4311,
    CmdMuseumTargetStartNotify = 4329,
    CmdMuseumDispatchFinishedScNotify = 4321,
    CmdGetStuffScNotify = 4322,
    CmdRemoveStuffFromAreaScRsp = 4352,
    CmdMuseumTargetMissionFinishNotify = 4363,
    CmdFinishCurTurnCsReq = 4372,
    CmdRemoveStuffFromAreaCsReq = 4371,
    CmdMuseumInfoChangedScNotify = 4302,
    CmdMuseumRandomEventQueryCsReq = 4333,
    CmdMuseumRandomEventSelectCsReq = 4377,
    CmdMuseumTakeCollectRewardScRsp = 4325,
    CmdBuyNpcStuffCsReq = 4331,
    CmdGetMuseumInfoCsReq = 4395,
    CmdMuseumRandomEventSelectScRsp = 4358,
    CmdSetStuffToAreaScRsp = 4348,
    CmdUpgradeAreaScRsp = 4346,
    CmdUpgradeAreaCsReq = 4316,
    CmdGetExhibitScNotify = 4356,
    CmdMuseumTakeCollectRewardCsReq = 4393,
    CmdUpgradeAreaStatCsReq = 4383,
    CmdUpgradeAreaStatScRsp = 4360,
    CmdSetStuffToAreaCsReq = 4376,
    CmdMuseumRandomEventQueryScRsp = 4342,
    CmdGetMuseumInfoScRsp = 4332,
    CmdMuseumRandomEventStartScNotify = 4343,
    CmdBuyNpcStuffScRsp = 4340,
    CmdFinishCurTurnScRsp = 4385,
    CmdMusicRhythmDataCsReq = 7573,
    CmdMusicRhythmStartLevelScRsp = 7589,
    CmdMusicRhythmDataScRsp = 7590,
    CmdMusicRhythmSaveSongConfigDataScRsp = 7600,
    CmdMusicRhythmFinishLevelCsReq = 7571,
    CmdMusicRhythmUnlockSongSfxScNotify = 7592,
    CmdMusicRhythmSaveSongConfigDataCsReq = 7588,
    CmdMusicRhythmUnlockTrackScNotify = 7577,
    CmdMusicRhythmStartLevelCsReq = 7596,
    CmdMusicRhythmUnlockSongNotify = 7581,
    CmdMusicRhythmMaxDifficultyLevelsUnlockNotify = 7579,
    CmdMusicRhythmFinishLevelScRsp = 7594,
    CmdGetOfferingInfoCsReq = 6934,
    CmdSubmitOfferingItemCsReq = 6928,
    CmdTakeOfferingRewardScRsp = 6922,
    CmdGetOfferingInfoScRsp = 6933,
    CmdSubmitOfferingItemScRsp = 6930,
    CmdOfferingInfoScNotify = 6940,
    CmdTakeOfferingRewardCsReq = 6924,
    CmdSyncAcceptedPamMissionNotify = 4031,
    CmdAcceptedPamMissionExpireCsReq = 4095,
    CmdAcceptedPamMissionExpireScRsp = 4032,
    CmdGetPamSkinDataCsReq = 8134,
    CmdSelectPamSkinCsReq = 8128,
    CmdUnlockPamSkinScNotify = 8124,
    CmdSelectPamSkinScRsp = 8130,
    CmdGetPamSkinDataScRsp = 8133,
    CmdParkourGetDataCsReq = 8394,
    CmdParkourEndLevelCsReq = 8400,
    CmdParkourStartLevelCsReq = 8384,
    CmdParkourStartLevelScRsp = 8382,
    CmdParkourGetRankingInfoCsReq = 8388,
    CmdParkourEndLevelScRsp = 8389,
    CmdParkourGetRankingInfoScRsp = 8390,
    CmdParkourGetDataScRsp = 8393,
    CmdSummonPetScRsp = 7619,
    CmdCurPetChangedScNotify = 7603,
    CmdRecallPetScRsp = 7601,
    CmdSummonPetCsReq = 7609,
    CmdGetPetDataScRsp = 7620,
    CmdGetPetDataCsReq = 7611,
    CmdRecallPetCsReq = 7624,
    CmdUnlockPhoneCaseScNotify = 5172,
    CmdSelectPhoneCaseScRsp = 5156,
    CmdSelectPhoneThemeCsReq = 5148,
    CmdSelectPhoneThemeScRsp = 5171,
    CmdUnlockPhoneThemeScNotify = 5152,
    CmdSelectChatBubbleCsReq = 5131,
    CmdGetPhoneDataScRsp = 5132,
    CmdUnlockChatBubbleScNotify = 5176,
    CmdSelectChatBubbleScRsp = 5140,
    CmdGetPhoneDataCsReq = 5195,
    CmdSelectPhoneCaseCsReq = 5122,
    CmdPlanetFesGetFriendRankingInfoListScRsp = 8247,
    CmdPlanetFesCollectIncomeScRsp = 8236,
    CmdPlanetFesGetBusinessDayInfoCsReq = 8222,
    CmdPlanetFesDeliverPamCargoScRsp = 8218,
    CmdPlanetFesSetCustomKeyValueScRsp = 8248,
    CmdPlanetFesUpgradeFesLevelScRsp = 8233,
    CmdGetPlanetFesDataScRsp = 8246,
    CmdPlanetFesUseItemCsReq = 8214,
    CmdPlanetFesGetAvatarStatScRsp = 8230,
    CmdPlanetFesDoGachaScRsp = 8220,
    CmdPlanetFesBonusEventInteractScRsp = 8219,
    CmdPlanetFesClientStatusCsReq = 8209,
    CmdPlanetFesChooseAvatarEventOptionCsReq = 8201,
    CmdPlanetFesStartMiniGameScRsp = 8249,
    CmdPlanetFesGameBingoFlipScRsp = 8225,
    CmdPlanetFesSetAvatarWorkScRsp = 8227,
    CmdPlanetFesGetBusinessDayInfoScRsp = 8216,
    CmdPlanetFesUpgradeSkillLevelCsReq = 8211,
    CmdPlanetFesCollectIncomeCsReq = 8237,
    CmdPlanetFesBuyLandCsReq = 8215,
    CmdPlanetFesClientStatusScRsp = 8245,
    CmdPlanetFesAvatarLevelUpCsReq = 8244,
    CmdPlanetFesUpgradeFesLevelCsReq = 8241,
    CmdPlanetFesBonusEventInteractCsReq = 8210,
    CmdPlanetFesDeliverPamCargoCsReq = 8234,
    CmdPlanetFesAvatarLevelUpScRsp = 8232,
    CmdPlanetFesDealAvatarEventOptionItemScRsp = 8239,
    CmdPlanetFesCollectAllIncomeCsReq = 8207,
    CmdGetPlanetFesDataCsReq = 8204,
    CmdPlanetFesGetFriendRankingInfoListCsReq = 8203,
    CmdPlanetFesTakeRegionPhaseRewardCsReq = 8213,
    CmdPlanetFesDealAvatarEventOptionItemCsReq = 8235,
    CmdPlanetFesBusinessDayRefreshEventCsReq = 8242,
    CmdPlanetFesBusinessDayRefreshEventScRsp = 8229,
    CmdPlanetFesUseItemScRsp = 8208,
    CmdPlanetFesGetAvatarStatCsReq = 8231,
    CmdPlanetFesTakeQuestRewardCsReq = 8223,
    CmdPlanetFesSyncChangeScNotify = 8202,
    CmdPlanetFesDoGachaCsReq = 8240,
    CmdPlanetFesTakeRegionPhaseRewardScRsp = 8206,
    CmdPlanetFesCollectAllIncomeScRsp = 8250,
    CmdPlanetFesFriendRankingInfoChangeScNotify = 8224,
    CmdPlanetFesUpgradeSkillLevelScRsp = 8238,
    CmdPlanetFesChooseAvatarEventOptionScRsp = 8205,
    CmdPlanetFesBuyLandScRsp = 8243,
    CmdPlanetFesGameBingoFlipCsReq = 8228,
    CmdPlanetFesSetCustomKeyValueCsReq = 8212,
    CmdPlanetFesStartMiniGameCsReq = 8221,
    CmdPlanetFesSetAvatarWorkCsReq = 8217,
    CmdPlanetFesTakeQuestRewardScRsp = 8226,
    CmdPlanetFesApplyCardPieceCsReq = 8317,
    CmdPlanetFesGetOfferedCardPieceScRsp = 8297,
    CmdPlanetFesLargeBonusInteractScRsp = 8334,
    CmdPlanetFesLargeBonusInteractCsReq = 8310,
    CmdPlanetFesGiveCardPieceScRsp = 8330,
    CmdPlanetFesChangeCardPieceApplyPermissionCsReq = 8326,
    CmdPlanetFesHandleCardPieceApplyScRsp = 8299,
    CmdPlanetFesGetExtraCardPieceInfoScRsp = 8336,
    CmdPlanetFesEnterNextBusinessDayCsReq = 8322,
    CmdPlanetFesHandleCardPieceApplyCsReq = 8333,
    CmdPlanetFesGetOfferedCardPieceCsReq = 8335,
    CmdPlanetFesGiveCardPieceCsReq = 8340,
    CmdPlanetFesApplyCardPieceScRsp = 8305,
    CmdPlanetFesGetExtraCardPieceInfoCsReq = 8294,
    CmdPlanetFesGetFriendCardPieceCsReq = 8292,
    CmdPlanetFesGetFriendCardPieceScRsp = 8327,
    CmdPlanetFesEnterNextBusinessDayScRsp = 8313,
    CmdPlanetFesChangeCardPieceApplyPermissionScRsp = 8307,
    CmdGetBasicInfoCsReq = 86,
    CmdAntiAddictScNotify = 43,
    CmdAvatarPathChangedNotify = 19,
    CmdPlayerHeartBeatScRsp = 1,
    CmdUpdatePsnSettingsInfoCsReq = 12,
    CmdExchangeStaminaCsReq = 46,
    CmdGetGameStateServiceConfigScRsp = 47,
    CmdGateServerScNotify = 53,
    CmdQueryProductInfoScRsp = 13,
    CmdGetBasicInfoScRsp = 100,
    CmdSetAvatarPathCsReq = 15,
    CmdReserveStaminaExchangeScRsp = 4,
    CmdSetNicknameScRsp = 42,
    CmdRetcodeNotify = 34,
    CmdClientObjDownloadDataScNotify = 73,
    CmdUpdatePlayerSettingScRsp = 26,
    CmdGetAuthkeyCsReq = 60,
    CmdStaminaInfoScNotify = 18,
    CmdPlayerGetTokenCsReq = 76,
    CmdGetLevelRewardCsReq = 21,
    CmdSetGenderScRsp = 7,
    CmdAceAntiCheaterCsReq = 87,
    CmdGetVideoVersionKeyCsReq = 49,
    CmdPlayerLoginScRsp = 32,
    CmdSetMultipleAvatarPathsCsReq = 38,
    CmdPlayerLoginFinishCsReq = 17,
    CmdGmTalkCsReq = 56,
    CmdUnlockAvatarPathCsReq = 89,
    CmdPlayerLoginCsReq = 95,
    CmdAceAntiCheaterScRsp = 8,
    CmdUpdatePsnSettingsInfoScRsp = 41,
    CmdGetLevelRewardTakenListScRsp = 58,
    CmdSetRedPointStatusScNotify = 10,
    CmdRegionStopScNotify = 39,
    CmdGetMultiPathAvatarInfoCsReq = 80,
    CmdFeatureSwitchClosedScNotify = 36,
    CmdSetPlayerInfoCsReq = 98,
    CmdServerAnnounceNotify = 14,
    CmdGetLevelRewardScRsp = 29,
    CmdPlayerGetTokenScRsp = 48,
    CmdPlayerKickOutScNotify = 22,
    CmdPlayerLogoutCsReq = 31,
    CmdSetNicknameCsReq = 33,
    CmdSetGameplayBirthdayCsReq = 54,
    CmdSetPlayerInfoScRsp = 64,
    CmdSetGameplayBirthdayScRsp = 99,
    CmdSetLanguageScRsp = 25,
    CmdExchangeStaminaScRsp = 83,
    CmdPlayerLoginFinishScRsp = 69,
    CmdReserveStaminaExchangeCsReq = 70,
    CmdSetAvatarPathScRsp = 55,
    CmdGetSecretKeyInfoCsReq = 74,
    CmdPlayerHeartBeatCsReq = 68,
    CmdDailyRefreshNotify = 9,
    CmdGetVideoVersionKeyScRsp = 3,
    CmdUpdateFeatureSwitchScNotify = 20,
    CmdUnlockAvatarPathScRsp = 88,
    CmdGetLevelRewardTakenListCsReq = 77,
    CmdSetLanguageCsReq = 93,
    CmdSetGenderCsReq = 57,
    CmdPlayerLogoutScRsp = 40,
    CmdUpdatePlayerSettingCsReq = 44,
    CmdClientObjUploadCsReq = 67,
    CmdQueryProductInfoCsReq = 45,
    CmdGmTalkScNotify = 52,
    CmdClientDownloadDataScNotify = 78,
    CmdClientObjUploadScRsp = 96,
    CmdGetMultiPathAvatarInfoScRsp = 50,
    CmdSetMultipleAvatarPathsScRsp = 5,
    CmdGetGameStateServiceConfigCsReq = 82,
    CmdMonthCardRewardNotify = 35,
    CmdGetAuthkeyScRsp = 2,
    CmdGmTalkScRsp = 72,
    CmdGetSecretKeyInfoScRsp = 90,
    CmdSetIsDisplayAvatarInfoCsReq = 2871,
    CmdSetPersonalCardScRsp = 2883,
    CmdSetPersonalCardCsReq = 2846,
    CmdSetAssistAvatarCsReq = 2885,
    CmdSetDisplayAvatarCsReq = 2876,
    CmdSetHeadIconScRsp = 2840,
    CmdSetSignatureScRsp = 2872,
    CmdSetIsDisplayAvatarInfoScRsp = 2852,
    CmdSetAssistAvatarScRsp = 2816,
    CmdGetPlayerBoardDataCsReq = 2895,
    CmdGetPlayerBoardDataScRsp = 2832,
    CmdSetDisplayAvatarScRsp = 2848,
    CmdUnlockHeadIconScNotify = 2822,
    CmdSetSignatureCsReq = 2856,
    CmdSetHeadIconCsReq = 2831,
    CmdPlayerReturnTakePointRewardScRsp = 4548,
    CmdPlayerReturnTakeRewardScRsp = 4552,
    CmdPlayerReturnForceFinishScNotify = 4572,
    CmdPlayerReturnTakeRewardCsReq = 4571,
    CmdPlayerReturnInfoQueryCsReq = 4522,
    CmdPlayerReturnTakeRelicCsReq = 4585,
    CmdPlayerReturnSignCsReq = 4532,
    CmdPlayerReturnTakeRelicScRsp = 4516,
    CmdPlayerReturnPointChangeScNotify = 4540,
    CmdPlayerReturnStartScNotify = 4595,
    CmdPlayerReturnTakePointRewardCsReq = 4576,
    CmdPlayerReturnSignScRsp = 4531,
    CmdPlayerReturnInfoQueryScRsp = 4556,
    CmdFinishPlotCsReq = 1195,
    CmdFinishPlotScRsp = 1132,
    CmdSharePunkLordMonsterCsReq = 3276,
    CmdPunkLordMonsterInfoScNotify = 3283,
    CmdGetPunkLordMonsterDataCsReq = 3295,
    CmdPunkLordRaidTimeOutScNotify = 3243,
    CmdStartPunkLordRaidCsReq = 3231,
    CmdGetPunkLordBattleRecordScRsp = 3230,
    CmdTakeKilledPunkLordMonsterScoreCsReq = 3225,
    CmdPunkLordMonsterKilledNotify = 3293,
    CmdGetPunkLordMonsterDataScRsp = 3232,
    CmdSummonPunkLordMonsterScRsp = 3252,
    CmdGetPunkLordDataScRsp = 3202,
    CmdSummonPunkLordMonsterCsReq = 3271,
    CmdTakePunkLordPointRewardScRsp = 3246,
    CmdTakePunkLordPointRewardCsReq = 3216,
    CmdPunkLordBattleResultScNotify = 3258,
    CmdGetPunkLordBattleRecordCsReq = 3237,
    CmdGetPunkLordDataCsReq = 3260,
    CmdPunkLordDataChangeNotify = 3284,
    CmdTakeKilledPunkLordMonsterScoreScRsp = 3214,
    CmdGetKilledPunkLordMonsterDataCsReq = 3221,
    CmdSharePunkLordMonsterScRsp = 3248,
    CmdStartPunkLordRaidScRsp = 3240,
    CmdGetKilledPunkLordMonsterDataScRsp = 3229,
    CmdTakeQuestOptionalRewardCsReq = 985,
    CmdGetQuestRecordCsReq = 971,
    CmdTakeQuestRewardCsReq = 931,
    CmdTakeQuestOptionalRewardScRsp = 916,
    CmdQuestRecordScNotify = 922,
    CmdTakeQuestRewardScRsp = 940,
    CmdGetQuestDataScRsp = 932,
    CmdGetQuestDataCsReq = 995,
    CmdGetQuestRecordScRsp = 952,
    CmdBatchGetQuestDataCsReq = 983,
    CmdFinishQuestCsReq = 956,
    CmdBatchGetQuestDataScRsp = 960,
    CmdFinishQuestScRsp = 972,
    CmdStartRaidScRsp = 2232,
    CmdRaidInfoNotify = 2276,
    CmdLeaveRaidScRsp = 2240,
    CmdDelSaveRaidScNotify = 2243,
    CmdGetSaveRaidCsReq = 2283,
    CmdGetAllSaveRaidCsReq = 2202,
    CmdStartRaidCsReq = 2295,
    CmdGetSaveRaidScRsp = 2260,
    CmdGetRaidInfoCsReq = 2272,
    CmdTakeChallengeRaidRewardCsReq = 2252,
    CmdGetRaidInfoScRsp = 2285,
    CmdGetChallengeRaidInfoCsReq = 2248,
    CmdSetClientRaidTargetCountCsReq = 2216,
    CmdLeaveRaidCsReq = 2231,
    CmdChallengeRaidNotify = 2256,
    CmdGetAllSaveRaidScRsp = 2239,
    CmdGetChallengeRaidInfoScRsp = 2271,
    CmdTakeChallengeRaidRewardScRsp = 2222,
    CmdRaidKickByServerScNotify = 2233,
    CmdSetClientRaidTargetCountScRsp = 2246,
    CmdRaidCollectionDataCsReq = 6954,
    CmdRaidCollectionDataScNotify = 6948,
    CmdRaidCollectionDataScRsp = 6953,
    CmdRaidCollectionEnterNextRaidCsReq = 6950,
    CmdRaidCollectionEnterNextRaidScRsp = 6944,
    CmdGetRechargeGiftInfoCsReq = 8374,
    CmdGetRechargeGiftInfoScRsp = 8373,
    CmdGetRechargeBenefitInfoCsReq = 8364,
    CmdTakeRechargeGiftRewardCsReq = 8368,
    CmdTakeRechargeBenefitRewardCsReq = 8369,
    CmdSyncRechargeBenefitInfoScNotify = 8380,
    CmdTakeRechargeGiftRewardScRsp = 8370,
    CmdTakeRechargeBenefitRewardScRsp = 8367,
    CmdGetRechargeBenefitInfoScRsp = 8362,
    CmdGetBigDataAllRecommendScRsp = 2409,
    CmdGetChallengeRecommendLineupListScRsp = 2417,
    CmdGetBigDataRecommendScRsp = 2415,
    CmdGetBigDataAllRecommendCsReq = 2443,
    CmdGetBigDataRecommendCsReq = 2427,
    CmdGetChallengeRecommendLineupListCsReq = 2436,
    CmdGetSingleRedDotParamGroupCsReq = 5976,
    CmdUpdateRedDotDataScRsp = 5940,
    CmdGetSingleRedDotParamGroupScRsp = 5948,
    CmdGetAllRedDotDataScRsp = 5932,
    CmdUpdateRedDotDataCsReq = 5931,
    CmdGetAllRedDotDataCsReq = 5995,
    CmdRelicSmartWearUpdatePlanCsReq = 8254,
    CmdRelicSmartWearPinRelicScRsp = 8253,
    CmdRelicSmartWearGetPlanScRsp = 8263,
    CmdRelicSmartWearUpdatePlanScRsp = 8252,
    CmdRelicSmartWearAddPlanCsReq = 8258,
    CmdRelicSmartWearUpdatePinRelicScNotify = 8261,
    CmdRelicSmartWearPinRelicCsReq = 8257,
    CmdRelicSmartWearDeletePlanCsReq = 8270,
    CmdRelicSmartWearGetPinRelicCsReq = 8255,
    CmdRelicSmartWearDeletePlanScRsp = 8259,
    CmdRelicSmartWearAddPlanScRsp = 8260,
    CmdRelicSmartWearGetPlanCsReq = 8264,
    CmdRelicSmartWearGetPinRelicScRsp = 8251,
    CmdGetReplayTokenCsReq = 3595,
    CmdGetPlayerReplayInfoScRsp = 3540,
    CmdGetReplayTokenScRsp = 3532,
    CmdGetPlayerReplayInfoCsReq = 3531,
    CmdDailyFirstMeetPamScRsp = 3440,
    CmdDailyFirstMeetPamCsReq = 3431,
    CmdGetRndOptionCsReq = 3495,
    CmdGetRndOptionScRsp = 3432,
    CmdEnableRogueTalentScRsp = 1805,
    CmdFinishAeonDialogueGroupScRsp = 1819,
    CmdQuitRogueCsReq = 1837,
    CmdExchangeRogueRewardKeyCsReq = 1868,
    CmdTakeRogueScoreRewardScRsp = 1877,
    CmdEnterRogueCsReq = 1876,
    CmdGetRogueInitialScoreCsReq = 1864,
    CmdGetRogueTalentInfoScRsp = 1888,
    CmdSyncRogueRewardInfoScNotify = 1866,
    CmdEnterRogueScRsp = 1848,
    CmdSyncRogueMapRoomScNotify = 1845,
    CmdFinishAeonDialogueGroupCsReq = 1850,
    CmdGetRogueInfoCsReq = 1895,
    CmdGetRogueAeonInfoCsReq = 1855,
    CmdReviveRogueAvatarScRsp = 1833,
    CmdStartRogueCsReq = 1831,
    CmdEnhanceRogueBuffScRsp = 1863,
    CmdSyncRogueVirtualItemInfoScNotify = 1865,
    CmdLeaveRogueCsReq = 1871,
    CmdOpenRogueChestScRsp = 1834,
    CmdSyncRogueAreaUnlockScNotify = 1810,
    CmdSyncRogueStatusScNotify = 1881,
    CmdReviveRogueAvatarCsReq = 1843,
    CmdGetRogueTalentInfoCsReq = 1889,
    CmdTakeRogueScoreRewardCsReq = 1842,
    CmdPickRogueAvatarScRsp = 1802,
    CmdGetRogueBuffEnhanceInfoScRsp = 1821,
    CmdEnterRogueMapRoomScRsp = 1898,
    CmdSyncRogueReviveInfoScNotify = 1884,
    CmdSyncRogueExploreWinScNotify = 1851,
    CmdSyncRogueFinishScNotify = 1883,
    CmdSyncRoguePickAvatarInfoScNotify = 1861,
    CmdTakeRogueAeonLevelRewardScRsp = 1870,
    CmdQuitRogueScRsp = 1830,
    CmdStartRogueScRsp = 1840,
    CmdLeaveRogueScRsp = 1852,
    CmdTakeRogueAeonLevelRewardCsReq = 1879,
    CmdExchangeRogueRewardKeyScRsp = 1801,
    CmdGetRogueScoreRewardInfoCsReq = 1873,
    CmdGetRogueAeonInfoScRsp = 1880,
    CmdSyncRogueAeonScNotify = 1803,
    CmdGetRogueInfoScRsp = 1832,
    CmdGetRogueBuffEnhanceInfoCsReq = 1858,
    CmdSyncRogueSeasonFinishScNotify = 1891,
    CmdOpenRogueChestCsReq = 1835,
    CmdSyncRogueGetItemScNotify = 1897,
    CmdGetRogueInitialScoreScRsp = 1806,
    CmdEnhanceRogueBuffCsReq = 1829,
    CmdPickRogueAvatarCsReq = 1860,
    CmdEnableRogueTalentCsReq = 1838,
    CmdGetRogueScoreRewardInfoScRsp = 1867,
    CmdEnterRogueMapRoomCsReq = 1807,
    CmdSyncRogueAeonLevelUpRewardScNotify = 1826,
    CmdRogueArcadeLeaveScRsp = 7687,
    CmdRogueArcadeRestartCsReq = 7686,
    CmdRogueArcadeGetInfoScRsp = 7665,
    CmdRogueArcadeStartCsReq = 7654,
    CmdRogueArcadeGetInfoCsReq = 7677,
    CmdRogueArcadeLeaveCsReq = 7652,
    CmdRogueArcadeRestartScRsp = 7667,
    CmdRogueArcadeStartScRsp = 7696,
    CmdGetRogueHandbookDataScRsp = 5657,
    CmdHandleRogueCommonPendingActionScRsp = 5608,
    CmdCommonRogueQueryScRsp = 5634,
    CmdRogueShopBeginBattleScRsp = 5623,
    CmdFinishRogueCommonDialogueScRsp = 5674,
    CmdGetRogueCommonDialogueDataCsReq = 5601,
    CmdGetRogueShopMiracleInfoCsReq = 5640,
    CmdBuyRogueShopFormulaCsReq = 5682,
    CmdRogueGetGambleInfoScRsp = 5615,
    CmdEnhanceCommonRogueBuffScRsp = 5621,
    CmdTakeRogueMiracleHandbookRewardScRsp = 5664,
    CmdRogueWorkbenchHandleFuncScRsp = 5697,
    CmdSetRogueCollectionScRsp = 5618,
    CmdUpdateRogueAdventureRoomScoreCsReq = 5620,
    CmdGetRogueShopFormulaInfoScRsp = 5605,
    CmdHandleRogueCommonPendingActionCsReq = 5687,
    CmdRogueDoGambleScRsp = 5680,
    CmdSelectRogueCommonDialogueOptionScRsp = 5694,
    CmdRogueDoGambleCsReq = 5655,
    CmdSetRogueExhibitionCsReq = 5673,
    CmdGetRogueHandbookDataCsReq = 5624,
    CmdCommonRogueUpdateScNotify = 5668,
    CmdSyncRogueHandbookDataUpdateScNotify = 5607,
    CmdRogueWorkbenchGetInfoScRsp = 5603,
    CmdFinishRogueCommonDialogueCsReq = 5627,
    CmdStopRogueAdventureRoomCsReq = 5629,
    CmdBuyRogueShopMiracleScRsp = 5622,
    CmdBuyRogueShopBuffCsReq = 5656,
    CmdPrepareRogueAdventureRoomScRsp = 5631,
    CmdPrepareRogueAdventureRoomCsReq = 5632,
    CmdRogueWorkbenchGetInfoCsReq = 5649,
    CmdGetRogueShopFormulaInfoCsReq = 5638,
    CmdTakeRogueEventHandbookRewardScRsp = 5645,
    CmdGetRogueExhibitionScRsp = 5626,
    CmdRogueWorkbenchHandleFuncCsReq = 5610,
    CmdBuyRogueShopMiracleCsReq = 5652,
    CmdCommonRogueQueryCsReq = 5635,
    CmdSetRogueExhibitionScRsp = 5667,
    CmdSyncRogueCommonDialogueDataScNotify = 5690,
    CmdSyncRogueCommonVirtualItemInfoScNotify = 5700,
    CmdGetRogueCollectionCsReq = 5679,
    CmdRogueNpcDisappearScRsp = 5616,
    CmdUpdateRogueAdventureRoomScoreScRsp = 5686,
    CmdBuyRogueShopFormulaScRsp = 5647,
    CmdRogueGetGambleInfoCsReq = 5628,
    CmdSyncRogueAdventureRoomInfoScNotify = 5695,
    CmdRogueDebugReplaySaveScNotify = 5688,
    CmdSyncRogueCommonDialogueOptionFinishScNotify = 5617,
    CmdGetRogueShopBuffInfoScRsp = 5671,
    CmdSetRogueCollectionCsReq = 5604,
    CmdStopRogueAdventureRoomScRsp = 5663,
    CmdEnhanceCommonRogueBuffCsReq = 5658,
    CmdTakeRogueEventHandbookRewardCsReq = 5606,
    CmdGetRogueAdventureRoomInfoScRsp = 5683,
    CmdSyncRogueCommonActionResultScNotify = 5613,
    CmdGetRogueShopMiracleInfoScRsp = 5676,
    CmdTakeRogueMiracleHandbookRewardCsReq = 5698,
    CmdSelectRogueCommonDialogueOptionCsReq = 5636,
    CmdGetEnhanceCommonRogueBuffInfoCsReq = 5642,
    CmdRogueShopBeginBattleCsReq = 5692,
    CmdRogueNpcDisappearCsReq = 5685,
    CmdSyncRogueCommonPendingActionScNotify = 5678,
    CmdGetRogueCollectionScRsp = 5670,
    CmdGetEnhanceCommonRogueBuffInfoScRsp = 5677,
    CmdGetRogueAdventureRoomInfoCsReq = 5646,
    CmdGetRogueShopBuffInfoCsReq = 5648,
    CmdGetRogueCommonDialogueDataScRsp = 5653,
    CmdBuyRogueShopBuffScRsp = 5672,
    CmdGetRogueExhibitionCsReq = 5644,
    CmdTakeRogueEndlessActivityAllBonusRewardScRsp = 6010,
    CmdGetRogueEndlessActivityDataCsReq = 6002,
    CmdTakeRogueEndlessActivityPointRewardScRsp = 6006,
    CmdEnterRogueEndlessActivityStageCsReq = 6004,
    CmdGetRogueEndlessActivityDataScRsp = 6005,
    CmdRogueEndlessActivityBattleEndScNotify = 6001,
    CmdTakeRogueEndlessActivityAllBonusRewardCsReq = 6003,
    CmdTakeRogueEndlessActivityPointRewardCsReq = 6009,
    CmdEnterRogueEndlessActivityStageScRsp = 6007,
    CmdRogueMagicSetAutoDressInMagicUnitCsReq = 7724,
    CmdRogueMagicScepterTakeOffUnitCsReq = 7711,
    CmdRogueMagicStartCsReq = 7795,
    CmdRogueMagicEnterCsReq = 7731,
    CmdRogueMagicScepterDressInUnitScRsp = 7763,
    CmdRogueMagicAutoDressInMagicUnitChangeScNotify = 7713,
    CmdRogueMagicEnterScRsp = 7740,
    CmdRogueMagicScepterDressInUnitCsReq = 7729,
    CmdRogueMagicEnterRoomCsReq = 7722,
    CmdRogueMagicQueryScRsp = 7758,
    CmdRogueMagicEnterLayerCsReq = 7772,
    CmdRogueMagicReviveCostUpdateScNotify = 7743,
    CmdRogueMagicLevelInfoUpdateScNotify = 7716,
    CmdRogueMagicSettleScRsp = 7752,
    CmdRogueMagicSettleCsReq = 7771,
    CmdRogueMagicScepterTakeOffUnitScRsp = 7793,
    CmdRogueMagicStartScRsp = 7732,
    CmdRogueMagicEnterRoomScRsp = 7756,
    CmdRogueMagicEnableTalentCsReq = 7751,
    CmdRogueMagicReviveAvatarCsReq = 7733,
    CmdRogueMagicSetAutoDressInMagicUnitScRsp = 7757,
    CmdRogueMagicGetMiscRealTimeDataScRsp = 7798,
    CmdRogueMagicAreaUpdateScNotify = 7746,
    CmdRogueMagicEnterLayerScRsp = 7785,
    CmdRogueMagicUnitComposeScRsp = 7714,
    CmdRogueMagicLeaveCsReq = 7776,
    CmdRogueMagicAutoDressInUnitScRsp = 7706,
    CmdRogueMagicAutoDressInUnitCsReq = 7764,
    CmdRogueMagicReviveAvatarScRsp = 7742,
    CmdRogueMagicBattleFailSettleInfoScNotify = 7739,
    CmdRogueMagicLeaveScRsp = 7748,
    CmdRogueMagicUnitReforgeCsReq = 7784,
    CmdRogueMagicQueryCsReq = 7777,
    CmdRogueMagicUnitReforgeScRsp = 7737,
    CmdRogueMagicGetTalentInfoCsReq = 7730,
    CmdRogueMagicStoryInfoUpdateScNotify = 7745,
    CmdRogueMagicGetTalentInfoScRsp = 7775,
    CmdRogueMagicUnitComposeCsReq = 7725,
    CmdRogueMagicGetMiscRealTimeDataCsReq = 7707,
    CmdRogueMagicEnableTalentScRsp = 7791,
    CmdRogueModifierSelectCellScRsp = 5376,
    CmdRogueModifierDelNotify = 5322,
    CmdRogueModifierUpdateNotify = 5352,
    CmdRogueModifierStageStartNotify = 5356,
    CmdRogueModifierAddNotify = 5331,
    CmdRogueModifierSelectCellCsReq = 5340,
    CmdRogueTournGetArchiveRepositoryCsReq = 6074,
    CmdRogueTournAreaUpdateScNotify = 6040,
    CmdRogueTournLeaveCsReq = 6026,
    CmdRogueTournGetMiscRealTimeDataCsReq = 6045,
    CmdRogueTournConfirmSettleCsReq = 6088,
    CmdRogueTournDeleteArchiveCsReq = 6043,
    CmdRogueTournDeleteBuildRefScRsp = 6083,
    CmdRogueTournGetCurRogueCocoonInfoCsReq = 6055,
    CmdRogueTournRenameArchiveCsReq = 6024,
    CmdRogueTournReEnterRogueCocoonStageCsReq = 6027,
    CmdRogueTournStartCsReq = 6032,
    CmdRogueTournEnterLayerScRsp = 6073,
    CmdRogueTournEnablePermanentTalentScRsp = 6058,
    CmdRogueTournQueryCsReq = 6095,
    CmdRogueTournRenameArchiveScRsp = 6093,
    CmdRogueTournSaveBuildRefScRsp = 6020,
    CmdRogueTournTakeExpRewardScRsp = 6094,
    CmdRogueTournGetCurRogueCocoonInfoScRsp = 6063,
    CmdRogueTournConfirmSettleScRsp = 6090,
    CmdRogueTournReEnterRogueCocoonStageScRsp = 6016,
    CmdRogueTournExpNotify = 6030,
    CmdRogueTournEnterCsReq = 6064,
    CmdRogueTournStartScRsp = 6078,
    CmdRogueTournQueryScRsp = 6052,
    CmdRogueTournRenameBuildRefScRsp = 6028,
    CmdRogueTournEnableSeasonTalentScRsp = 6041,
    CmdRogueTournLeaveScRsp = 6042,
    CmdRogueTournTitanUpdateTitanBlessProgressScNotify = 6053,
    CmdRogueTournWeekChallengeUpdateScNotify = 6018,
    CmdRogueTournEnterLayerCsReq = 6081,
    CmdRogueTournEnableSeasonTalentCsReq = 6019,
    CmdRogueTournGetAllBuildRefCsReq = 6035,
    CmdRogueTournSaveBuildRefCsReq = 6012,
    CmdRogueTournTakeExpRewardCsReq = 6039,
    CmdRogueTournClearArchiveNameScNotify = 6082,
    CmdRogueTournDeleteArchiveScRsp = 6049,
    CmdRogueTournGetSeasonTalentInfoCsReq = 6079,
    CmdRogueTournEnterRogueCocoonSceneScRsp = 6062,
    CmdRogueTournGetAllBuildRefScRsp = 6046,
    CmdRogueTournReviveAvatarCsReq = 6098,
    CmdRogueTournBattleFailSettleInfoScNotify = 6037,
    CmdRogueTournGetSeasonTalentInfoScRsp = 6097,
    CmdRogueTournEnablePermanentTalentCsReq = 6013,
    CmdRogueTournEnterRoomScRsp = 6061,
    CmdRogueTournLevelInfoUpdateScNotify = 6087,
    CmdRogueTournReviveAvatarScRsp = 6047,
    CmdRogueTournResetPermanentTalentScRsp = 6089,
    CmdRogueTournSettleCsReq = 6080,
    CmdRogueTournEnterScRsp = 6070,
    CmdRogueTournDeleteBuildRefCsReq = 6085,
    CmdRogueTournReviveCostUpdateScNotify = 6086,
    CmdRogueTournGetPermanentTalentInfoCsReq = 6099,
    CmdRogueTournSettleScRsp = 6056,
    CmdRogueTournResetPermanentTalentCsReq = 6031,
    CmdRogueTournDifficultyCompNotify = 6050,
    CmdRogueTournGetPermanentTalentInfoScRsp = 6067,
    CmdRogueTournEnterRogueCocoonSceneCsReq = 6034,
    CmdRogueTournLeaveRogueCocoonSceneScRsp = 6066,
    CmdRogueTournEnterRoomCsReq = 6084,
    CmdRogueTournGetSettleInfoCsReq = 6068,
    CmdRogueTournLeaveRogueCocoonSceneCsReq = 6017,
    CmdRogueTournGetSettleInfoScRsp = 6059,
    CmdRogueTournGetAllArchiveCsReq = 6021,
    CmdRogueTournGetAllArchiveScRsp = 6100,
    CmdRogueTournGetArchiveRepositoryScRsp = 6011,
    CmdRogueTournRenameBuildRefCsReq = 6014,
    CmdRogueTournHandBookNotify = 6023,
    CmdRogueTournGetMiscRealTimeDataScRsp = 6044,
    CmdDoGachaInRollShopScRsp = 6910,
    CmdTakeRollShopRewardScRsp = 6902,
    CmdGetRollShopInfoCsReq = 6914,
    CmdTakeRollShopRewardCsReq = 6904,
    CmdGetRollShopInfoScRsp = 6913,
    CmdDoGachaInRollShopCsReq = 6908,
    CmdUpdateMechanismBarScNotify = 1468,
    CmdSpringRefreshScRsp = 1443,
    CmdSceneCastSkillCostMpScRsp = 1483,
    CmdSceneEnterStageScRsp = 1421,
    CmdSceneReviveAfterRebattleScRsp = 1463,
    CmdGetUnlockTeleportScRsp = 1418,
    CmdDeactivateFarmElementCsReq = 1445,
    CmdSceneCastSkillScRsp = 1448,
    CmdUnlockTeleportNotify = 1466,
    CmdReturnLastTownScRsp = 1477,
    CmdActivateFarmElementScRsp = 1420,
    CmdUpdateGroupPropertyCsReq = 1461,
    CmdSceneGroupRefreshScNotify = 1412,
    CmdGroupStateChangeCsReq = 1428,
    CmdRecoverAllLineupScRsp = 1475,
    CmdStartCocoonStageCsReq = 1491,
    CmdEntityBindPropCsReq = 1457,
    CmdEnterSectionCsReq = 1411,
    CmdInteractPropCsReq = 1431,
    CmdSetClientPausedCsReq = 1498,
    CmdSetGroupCustomSaveDataScRsp = 1453,
    CmdReturnLastTownCsReq = 1442,
    CmdRefreshTriggerByClientScRsp = 1488,
    CmdSceneEntityTeleportCsReq = 1490,
    CmdStartCocoonStageScRsp = 1424,
    CmdUpdateGroupPropertyScRsp = 1459,
    CmdGameplayCounterRecoverCsReq = 1441,
    CmdReEnterLastElementStageCsReq = 1427,
    CmdSceneEnterStageCsReq = 1458,
    CmdGetCurSceneInfoScRsp = 1452,
    CmdSceneUpdatePositionVersionNotify = 1485,
    CmdSetCurInteractEntityCsReq = 1484,
    CmdSetClientPausedScRsp = 1464,
    CmdSyncEntityBuffChangeListScNotify = 1416,
    CmdEnterSceneCsReq = 1469,
    CmdGroupStateChangeScRsp = 1415,
    CmdSetCurInteractEntityScRsp = 1437,
    CmdEnteredSceneChangeScNotify = 1419,
    CmdGetEnteredSceneScRsp = 1450,
    CmdDeleteSummonUnitCsReq = 1405,
    CmdSpringRefreshCsReq = 1439,
    CmdGameplayCounterCountDownScRsp = 1467,
    CmdDeactivateFarmElementScRsp = 1413,
    CmdOpenChestScNotify = 1444,
    CmdDeleteSummonUnitScRsp = 1482,
    CmdSyncServerSceneChangeNotify = 1470,
    CmdLastSpringRefreshTimeNotify = 1433,
    CmdSceneEntityMoveScRsp = 1432,
    CmdRefreshTriggerByClientScNotify = 1438,
    CmdGameplayCounterCountDownCsReq = 1473,
    CmdTrainWorldIdChangeScNotify = 1492,
    CmdRecoverAllLineupCsReq = 1430,
    CmdSceneCastSkillCostMpCsReq = 1446,
    CmdEnterSceneScRsp = 1449,
    CmdGameplayCounterRecoverScRsp = 1462,
    CmdSceneReviveAfterRebattleCsReq = 1429,
    CmdUnlockedAreaMapScNotify = 1447,
    CmdChangePropTimelineInfoCsReq = 1422,
    CmdGetSceneMapInfoScRsp = 1479,
    CmdSavePointsInfoNotify = 1451,
    CmdGetUnlockTeleportCsReq = 1404,
    CmdUpdateFloorSavedValueNotify = 1426,
    CmdGetSceneMapInfoCsReq = 1497,
    CmdEnterSceneByServerScNotify = 1403,
    CmdReEnterLastElementStageScRsp = 1474,
    CmdEnterSectionScRsp = 1493,
    CmdGroupStateChangeScNotify = 1455,
    CmdSetGroupCustomSaveDataCsReq = 1401,
    CmdSceneCastSkillMpUpdateScNotify = 1460,
    CmdChangePropTimelineInfoScRsp = 1456,
    CmdGameplayCounterUpdateScNotify = 1496,
    CmdSceneCastSkillCsReq = 1476,
    CmdInteractPropScRsp = 1440,
    CmdGetEnteredSceneCsReq = 1480,
    CmdSceneEntityMoveCsReq = 1495,
    CmdGetCurSceneInfoCsReq = 1471,
    CmdSceneEntityTeleportScRsp = 1417,
    CmdSceneEntityMoveScNotify = 1472,
    CmdActivateFarmElementCsReq = 1478,
    CmdRefreshTriggerByClientCsReq = 1489,
    CmdScenePlaneEventScNotify = 1410,
    CmdEntityBindPropScRsp = 1407,
    CmdUpdateServerPrefsDataCsReq = 6176,
    CmdGetAllServerPrefsDataCsReq = 6195,
    CmdUpdateServerPrefsDataScRsp = 6148,
    CmdGetServerPrefsDataCsReq = 6131,
    CmdGetAllServerPrefsDataScRsp = 6132,
    CmdGetServerPrefsDataScRsp = 6140,
    CmdBuyGoodsCsReq = 1531,
    CmdGetShopListCsReq = 1595,
    CmdBuyGoodsScRsp = 1540,
    CmdTakeCityShopRewardScRsp = 1548,
    CmdTakeCityShopRewardCsReq = 1576,
    CmdCityShopInfoScNotify = 1571,
    CmdGetShopListScRsp = 1532,
    CmdSpaceZooBornScRsp = 6740,
    CmdSpaceZooDataScRsp = 6732,
    CmdSpaceZooDataCsReq = 6795,
    CmdSpaceZooMutateCsReq = 6776,
    CmdSpaceZooBornCsReq = 6731,
    CmdSpaceZooExchangeItemCsReq = 6785,
    CmdSpaceZooOpCatteryScRsp = 6752,
    CmdSpaceZooCatUpdateNotify = 6772,
    CmdSpaceZooExchangeItemScRsp = 6716,
    CmdSpaceZooOpCatteryCsReq = 6771,
    CmdSpaceZooTakeCsReq = 6746,
    CmdSpaceZooDeleteCatScRsp = 6756,
    CmdSpaceZooTakeScRsp = 6783,
    CmdSpaceZooMutateScRsp = 6748,
    CmdSpaceZooDeleteCatCsReq = 6722,
    CmdGetStarFightDataCsReq = 7162,
    CmdGetStarFightDataScRsp = 7165,
    CmdStartStarFightLevelScRsp = 7167,
    CmdStartStarFightLevelCsReq = 7164,
    CmdStarFightDataChangeNotify = 7161,
    CmdChangeStoryLineFinishScNotify = 6248,
    CmdGetStoryLineInfoCsReq = 6295,
    CmdStoryLineTrialAvatarChangeScNotify = 6271,
    CmdStoryLineInfoScNotify = 6231,
    CmdGetStoryLineInfoScRsp = 6232,
    CmdEnterStrongChallengeActivityStageCsReq = 6631,
    CmdStrongChallengeActivityBattleEndScNotify = 6676,
    CmdEnterStrongChallengeActivityStageScRsp = 6640,
    CmdGetStrongChallengeActivityDataCsReq = 6695,
    CmdGetStrongChallengeActivityDataScRsp = 6632,
    CmdEnterSummonActivityStageCsReq = 7564,
    CmdGetSummonActivityDataScRsp = 7565,
    CmdEnterSummonActivityStageScRsp = 7567,
    CmdGetSummonActivityDataCsReq = 7562,
    CmdSummonActivityBattleEndScNotify = 7561,
    CmdSwitchHandDataScRsp = 8113,
    CmdSwitchHandStartScRsp = 8110,
    CmdSwitchHandCoinUpdateCsReq = 8107,
    CmdSwitchHandUpdateCsReq = 8120,
    CmdSwitchHandResetHandPosScRsp = 8101,
    CmdSwitchHandCoinUpdateScRsp = 8103,
    CmdSwitchHandStartCsReq = 8108,
    CmdSwitchHandUpdateScRsp = 8109,
    CmdSwitchHandResetGameScRsp = 8119,
    CmdSwitchHandResetHandPosCsReq = 8105,
    CmdSwitchHandFinishScRsp = 8102,
    CmdSwitchHandFinishCsReq = 8104,
    CmdSwitchHandDataCsReq = 8114,
    CmdSwitchHandResetGameCsReq = 8111,
    CmdSwordTrainingGiveUpGameCsReq = 7492,
    CmdSwordTrainingDialogueSelectOptionScRsp = 7493,
    CmdSwordTrainingResumeGameCsReq = 7453,
    CmdSwordTrainingGameSettleScNotify = 7468,
    CmdSwordTrainingDailyPhaseConfirmCsReq = 7467,
    CmdSwordTrainingResumeGameScRsp = 7497,
    CmdSwordTrainingGiveUpGameScRsp = 7479,
    CmdSwordTrainingStoryBattleScRsp = 7469,
    CmdEnterSwordTrainingExamScRsp = 7470,
    CmdSwordTrainingStartGameCsReq = 7473,
    CmdSwordTrainingSetSkillTraceScRsp = 7491,
    CmdGetSwordTrainingDataCsReq = 7496,
    CmdSwordTrainingGameSyncChangeScNotify = 7454,
    CmdSwordTrainingStartGameScRsp = 7476,
    CmdSwordTrainingSetSkillTraceCsReq = 7498,
    CmdSwordTrainingDailyPhaseConfirmScRsp = 7477,
    CmdSwordTrainingLearnSkillCsReq = 7494,
    CmdSwordTrainingRestoreGameCsReq = 7456,
    CmdSwordTrainingMarkEndingViewedCsReq = 7483,
    CmdSwordTrainingLearnSkillScRsp = 7482,
    CmdSwordTrainingUnlockSyncScNotify = 7451,
    CmdSwordTrainingTurnActionScRsp = 7486,
    CmdSwordTrainingSelectEndingCsReq = 7489,
    CmdGetSwordTrainingDataScRsp = 7452,
    CmdEnterSwordTrainingExamCsReq = 7490,
    CmdSwordTrainingTurnActionCsReq = 7487,
    CmdSwordTrainingStoryBattleCsReq = 7460,
    CmdSwordTrainingStoryConfirmScRsp = 7466,
    CmdSwordTrainingMarkEndingViewedScRsp = 7481,
    CmdSwordTrainingRestoreGameScRsp = 7471,
    CmdSwordTrainingActionTurnSettleScNotify = 7499,
    CmdSwordTrainingExamResultConfirmCsReq = 7464,
    CmdSwordTrainingStoryConfirmCsReq = 7472,
    CmdSwordTrainingExamResultConfirmScRsp = 7458,
    CmdSwordTrainingDialogueSelectOptionCsReq = 7465,
    CmdSwordTrainingSelectEndingScRsp = 7461,
    CmdPlayerSyncScNotify = 695,
    CmdTakeTalkRewardCsReq = 2131,
    CmdFinishFirstTalkByPerformanceNpcCsReq = 2116,
    CmdGetFirstTalkNpcScRsp = 2148,
    CmdGetFirstTalkByPerformanceNpcCsReq = 2172,
    CmdFinishFirstTalkNpcScRsp = 2152,
    CmdGetNpcTakenRewardScRsp = 2132,
    CmdSelectInclinationTextScRsp = 2156,
    CmdTakeTalkRewardScRsp = 2140,
    CmdSelectInclinationTextCsReq = 2122,
    CmdFinishFirstTalkNpcCsReq = 2171,
    CmdGetFirstTalkByPerformanceNpcScRsp = 2185,
    CmdGetFirstTalkNpcCsReq = 2176,
    CmdGetNpcTakenRewardCsReq = 2195,
    CmdFinishFirstTalkByPerformanceNpcScRsp = 2146,
    CmdTarotBookFinishStoryCsReq = 8160,
    CmdTarotBookFinishInteractionCsReq = 8143,
    CmdTarotBookGetDataCsReq = 8154,
    CmdTarotBookFinishStoryScRsp = 8149,
    CmdTarotBookUnlockStoryScRsp = 8142,
    CmdTarotBookModifyEnergyScNotify = 8147,
    CmdTarotBookFinishInteractionScRsp = 8145,
    CmdTarotBookOpenPackScRsp = 8150,
    CmdTarotBookGetDataScRsp = 8153,
    CmdTarotBookUnlockStoryCsReq = 8144,
    CmdTarotBookOpenPackCsReq = 8148,
    CmdTelevisionActivityDataChangeScNotify = 6968,
    CmdEnterTelevisionActivityStageScRsp = 6964,
    CmdTelevisionActivityBattleEndScNotify = 6962,
    CmdGetTelevisionActivityDataScRsp = 6973,
    CmdGetTelevisionActivityDataCsReq = 6974,
    CmdEnterTelevisionActivityStageCsReq = 6970,
    CmdTextJoinSaveCsReq = 3895,
    CmdTextJoinSaveScRsp = 3832,
    CmdTextJoinQueryScRsp = 3840,
    CmdTextJoinBatchSaveScRsp = 3848,
    CmdTextJoinBatchSaveCsReq = 3876,
    CmdTextJoinQueryCsReq = 3831,
    CmdStartTrackPhotoStageScRsp = 7559,
    CmdQuitTrackPhotoStageScRsp = 7553,
    CmdGetTrackPhotoActivityDataCsReq = 7552,
    CmdGetTrackPhotoActivityDataScRsp = 7555,
    CmdQuitTrackPhotoStageCsReq = 7556,
    CmdSettleTrackPhotoStageCsReq = 7554,
    CmdStartTrackPhotoStageCsReq = 7551,
    CmdSettleTrackPhotoStageScRsp = 7557,
    CmdTrainPartyAddBuildDynamicBuffScRsp = 8091,
    CmdTrainPartyBuildStartStepScRsp = 8046,
    CmdTrainPartyUseCardScRsp = 8040,
    CmdTrainPartyTakeBuildLevelAwardScRsp = 8075,
    CmdTrainPartyTakeBuildLevelAwardCsReq = 8030,
    CmdTrainPartyHandlePendingActionCsReq = 8072,
    CmdTrainPartyLeaveCsReq = 8042,
    CmdTrainPartyBuildDiyScRsp = 8060,
    CmdTrainPartyGamePlayStartScRsp = 8093,
    CmdTrainPartySyncUpdateScNotify = 8022,
    CmdTrainPartyEnterScRsp = 8033,
    CmdTrainPartyBuildDiyCsReq = 8083,
    CmdTrainPartyAddBuildDynamicBuffCsReq = 8051,
    CmdTrainPartyBuildStartStepCsReq = 8016,
    CmdTrainPartyGamePlaySettleNotify = 8025,
    CmdTrainPartyBuildingUpdateNotify = 8002,
    CmdTrainPartyGetDataScRsp = 8032,
    CmdTrainPartyMoveScNotify = 8076,
    CmdTrainPartyLeaveScRsp = 8077,
    CmdTrainPartyUpdatePosEnvCsReq = 8084,
    CmdTrainPartyGetDataCsReq = 8095,
    CmdTrainPartyUseCardCsReq = 8031,
    CmdTrainPartySettleNotify = 8071,
    CmdTrainPartyUpdatePosEnvScRsp = 8037,
    CmdTrainPartyGamePlayStartCsReq = 8011,
    CmdTrainPartyEnterCsReq = 8043,
    CmdTrainPartyHandlePendingActionScRsp = 8085,
    CmdShowNewSupplementVisitorCsReq = 3772,
    CmdTrainVisitorRewardSendNotify = 3748,
    CmdGetTrainVisitorRegisterCsReq = 3771,
    CmdShowNewSupplementVisitorScRsp = 3785,
    CmdTakeTrainVisitorUntakenBehaviorRewardCsReq = 3722,
    CmdGetTrainVisitorBehaviorScRsp = 3740,
    CmdTrainVisitorBehaviorFinishScRsp = 3732,
    CmdGetTrainVisitorBehaviorCsReq = 3731,
    CmdTakeTrainVisitorUntakenBehaviorRewardScRsp = 3756,
    CmdGetTrainVisitorRegisterScRsp = 3752,
    CmdTrainVisitorBehaviorFinishCsReq = 3795,
    CmdTrainRefreshTimeNotify = 3776,
    CmdTravelBrochureSelectMessageCsReq = 6476,
    CmdTravelBrochurePageResetCsReq = 6443,
    CmdTravelBrochureRemovePasterCsReq = 6422,
    CmdTravelBrochureRemovePasterScRsp = 6456,
    CmdTravelBrochureGetDataScRsp = 6432,
    CmdTravelBrochureGetPasterScNotify = 6416,
    CmdTravelBrochureApplyPasterCsReq = 6471,
    CmdTravelBrochureApplyPasterListCsReq = 6442,
    CmdTravelBrochureSetCustomValueCsReq = 6483,
    CmdTravelBrochureUpdatePasterPosCsReq = 6472,
    CmdTravelBrochureGetDataCsReq = 6495,
    CmdTravelBrochureSetPageDescStatusScRsp = 6439,
    CmdTravelBrochureApplyPasterListScRsp = 6477,
    CmdTravelBrochurePageResetScRsp = 6433,
    CmdTravelBrochureUpdatePasterPosScRsp = 6485,
    CmdTravelBrochureSetCustomValueScRsp = 6460,
    CmdTravelBrochureSelectMessageScRsp = 6448,
    CmdTravelBrochurePageUnlockScNotify = 6431,
    CmdTravelBrochureApplyPasterScRsp = 6452,
    CmdTravelBrochureSetPageDescStatusCsReq = 6402,
    CmdTreasureDungeonDataScNotify = 4495,
    CmdQuitTreasureDungeonCsReq = 4458,
    CmdUseTreasureDungeonItemCsReq = 4442,
    CmdOpenTreasureDungeonGridScRsp = 4460,
    CmdOpenTreasureDungeonGridCsReq = 4483,
    CmdTreasureDungeonFinishScNotify = 4432,
    CmdUseTreasureDungeonItemScRsp = 4477,
    CmdInteractTreasureDungeonGridCsReq = 4443,
    CmdGetTreasureDungeonActivityDataCsReq = 4472,
    CmdGetTreasureDungeonActivityDataScRsp = 4485,
    CmdEnterTreasureDungeonScRsp = 4446,
    CmdEnterTreasureDungeonCsReq = 4416,
    CmdInteractTreasureDungeonGridScRsp = 4433,
    CmdFightTreasureDungeonMonsterCsReq = 4402,
    CmdFightTreasureDungeonMonsterScRsp = 4439,
    CmdQuitTreasureDungeonScRsp = 4421,
    CmdFinishTutorialGuideCsReq = 1672,
    CmdFinishTutorialScRsp = 1656,
    CmdGetTutorialGuideScRsp = 1640,
    CmdUnlockTutorialCsReq = 1676,
    CmdFinishTutorialCsReq = 1622,
    CmdGetTutorialCsReq = 1695,
    CmdGetTutorialGuideCsReq = 1631,
    CmdGetTutorialScRsp = 1632,
    CmdFinishTutorialGuideScRsp = 1685,
    CmdUnlockTutorialGuideScRsp = 1652,
    CmdUnlockTutorialScRsp = 1648,
    CmdUnlockTutorialGuideCsReq = 1671,
    CmdSetCurWaypointScRsp = 440,
    CmdGetWaypointScRsp = 432,
    CmdGetWaypointCsReq = 495,
    CmdTakeChapterRewardScRsp = 422,
    CmdSetCurWaypointCsReq = 431,
    CmdGetChapterScRsp = 448,
    CmdWaypointShowNewCsNotify = 471,
    CmdGetChapterCsReq = 476,
    CmdTakeChapterRewardCsReq = 452,
    CmdGetWolfBroGameDataCsReq = 6543,
    CmdWolfBroGameExplodeMonsterScRsp = 6526,
    CmdArchiveWolfBroGameScRsp = 6537,
    CmdArchiveWolfBroGameCsReq = 6502,
    CmdWolfBroGameActivateBulletCsReq = 6544,
    CmdGetWolfBroGameDataScRsp = 6509,
    CmdRestoreWolfBroGameArchiveCsReq = 6536,
    CmdWolfBroGameActivateBulletScRsp = 6532,
    CmdQuitWolfBroGameScRsp = 6515,
    CmdWolfBroGameExplodeMonsterCsReq = 6523,
    CmdWolfBroGameDataChangeScNotify = 6545,
    CmdWolfBroGameUseBulletCsReq = 6507,
    CmdQuitWolfBroGameCsReq = 6527,
    CmdWolfBroGamePickupBulletScRsp = 6520,
    CmdWolfBroGamePickupBulletCsReq = 6540,
    CmdRestoreWolfBroGameArchiveScRsp = 6517,
    CmdStartWolfBroGameScRsp = 6546,
    CmdStartWolfBroGameCsReq = 6504,
    CmdWolfBroGameUseBulletScRsp = 6550,
    CmdWorldUnlockScRsp = 7627,
    CmdWorldUnlockCsReq = 7626,
    _,
};
